<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Page Layout
 */
	$wp_customize->add_setting(
		Invico_Settings . '[portfolio-archives-page-layout]', array(
			'default'           => invico_get_option( 'portfolio-archives-page-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Radio_Image(
			$wp_customize, Invico_Settings . '[portfolio-archives-page-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Layout', 'invico'),
				'section'  => 'portfolio-archive-page-section',
				'choices'  => apply_filters( 'invico_shop_page_layout_options', array(
					'content-full-width'  => array( 'label' => esc_html__( 'Without Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/without-sidebar.png' ),
					'with-left-sidebar' => array( 'label' => esc_html__( 'Left Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/left-sidebar.png' ),
					'with-right-sidebar' => array( 'label' => esc_html__( 'Right Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/right-sidebar.png' ),
				) )
			)
		)
	);

/**
* Option : Show Standard Sidebar
*/
	$wp_customize->add_setting(
		Invico_Settings . '[portfolio-archives-show-standard-sidebar]', array(
			'default'           => invico_get_option( 'portfolio-archives-show-standard-sidebar' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[portfolio-archives-show-standard-sidebar]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Standard Sidebar', 'invico'),
				'section' => 'portfolio-archive-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array( 'portfolio-archives-page-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
			)
		)
	);


/**
 * Option : Product Layout
 */
	$wp_customize->add_setting(
		Invico_Settings . '[portfolio-archives-post-layout]', array(
			'default'           => invico_get_option( 'portfolio-archives-post-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Radio_Image(
			$wp_customize, Invico_Settings . '[portfolio-archives-post-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Post Layout', 'invico'),
				'section'  => 'portfolio-archive-page-section',
				'choices'  => apply_filters( 'invico_portfolio_archives_post_layout_options', array(
					'dtportfolio-one-column'  => array( 'label' => esc_html__( 'One Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/portfolio/one-column.png' ),
					'dtportfolio-one-half-column' => array( 'label' => esc_html__( 'One Half Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/portfolio/one-half-column.png' ),
					'dtportfolio-one-third-column' => array( 'label' => esc_html__( 'One Third Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/portfolio/one-third-column.png' ),
					'dtportfolio-one-fourth-column' => array( 'label' => esc_html__( 'One Fourth Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/portfolio/one-fourth-column.png' ),
				) )
			)
		)
	);

/**
 * Option : Hover Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[portfolio-hover-style]', array(
			'default'           => invico_get_option( 'portfolio-hover-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[portfolio-hover-style]', array (
				'type'     => 'select',
				'label'    => esc_html__( 'Hover Style', 'invico'),
				'section'  => 'portfolio-archive-page-section',
				'choices'  => apply_filters( 'invico_portfolio_hover_styles', array (
					''                    => esc_html__('Default','invico'), 
					'modern-title'        => esc_html__('Modern Title','invico'), 
					'title-icons-overlay' => esc_html__('Title & Icons Overlay','invico'), 
					'title-overlay'       => esc_html__('Title Overlay','invico'),
					'icons-only'          => esc_html__('Icons Only','invico'), 
					'classic'             => esc_html__('Classic','invico'), 
					'minimal-icons'       => esc_html__('Minimal Icons','invico'),
					'presentation'        => esc_html__('Presentation','invico'), 
					'girly'               => esc_html__('Girly','invico'), 
					'art'                 => esc_html__('Art','invico'), 
					'extended'            => esc_html__('Extended','invico'), 
					'boxed'               => esc_html__('Boxed','invico'), 
					'centered-box'        => esc_html__('Centered Box','invico'),
					'with-gallery-thumb'  => esc_html__('With Gallery Thumb','invico'), 
					'with-gallery-list'   => esc_html__('With Gallery List','invico'), 
					'grayscale'           => esc_html__('Grayscale','invico'), 
					'highlighter'         => esc_html__('Highlighter','invico'), 
					'with-details'        => esc_html__('With Details','invico'), 
					'bottom-border'       => esc_html__('Bottom Border','invico'),
					'with-intro'          => esc_html__('With Intro','invico')
				) )
			)
		)
	);

/**
 * Option : Cursor Hover Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[portfolio-cursor-hover-style]', array(
			'default'           => invico_get_option( 'portfolio-cursor-hover-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[portfolio-cursor-hover-style]', array (
				'type'     => 'select',
				'label'    => esc_html__( 'Cursor Hover Style', 'invico'),
				'section'  => 'portfolio-archive-page-section',
				'choices'  => apply_filters( 'invico_portfolio_cursor_hover_styles', array (
					''                    => esc_html__('Default', 'invico'), 
					'cursor-hover-style1' => esc_html__('Style 1', 'invico'), 
					'cursor-hover-style2' => esc_html__('Style 2', 'invico') ,
					'cursor-hover-style3' => esc_html__('Style 3', 'invico'),
					'cursor-hover-style4' => esc_html__('Style 4', 'invico'),
					'cursor-hover-style5' => esc_html__('Style 5', 'invico'),
					'cursor-hover-style6' => esc_html__('Style 6', 'invico'), 
				) )
			)
		)
	);

/**
 * Option : Allow Grid Space
 */
	$wp_customize->add_setting(
		Invico_Settings . '[portfolio-grid-space]', array(
			'default'           => invico_get_option( 'portfolio-grid-space' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[portfolio-grid-space]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Allow Grid Space', 'invico'),
				'section' => 'portfolio-archive-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Allow Full Width
 */
	$wp_customize->add_setting(
		Invico_Settings . '[portfolio-allow-full-width]', array(
			'default'           => invico_get_option( 'portfolio-allow-full-width' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[portfolio-allow-full-width]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Allow Full Width', 'invico'),
				'section' => 'portfolio-archive-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Disable Individual Portfolio Item Options
 */
	$wp_customize->add_setting(
		Invico_Settings . '[portfolio-disable-item-options]', array(
			'default'           => invico_get_option( 'portfolio-disable-item-options' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[portfolio-disable-item-options]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Disable Individual Portfolio Item Options', 'invico'),
				'section' => 'portfolio-archive-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);