<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


/**
 * Option : Enable Cookie Consent
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-cookie-consent]', array (
			'default'           => invico_get_option( 'enable-cookie-consent' ),
			'type'              => 'option',
			'sanitize_callback' => array ( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-cookie-consent]', array (
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Cookie Message Bar', 'invico'),
				'description'   => esc_html__('Enable cookie consent message bar', 'invico'),
				'section' => 'cookie-consent-section',
				'choices' => array (
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
* Option : Cookie Consent Message
*/
	$wp_customize->add_setting(
		Invico_Settings . '[cookie-consent-msg]', array (
			'default'           => invico_get_option( 'cookie-consent-msg' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[cookie-consent-msg]', array (
				'type'    => 'textarea',
				'label'   => esc_html__( 'Message', 'invico'),
				'description'   => esc_html__('Provide a message which indicates that your site uses cookies.', 'invico'),
				'section' => 'cookie-consent-section',
				'dependency' => array ( 'enable-cookie-consent', '==', '1' )
			)
		)
	);

/**
 * Option : Message Bar Position
 */
	$wp_customize->add_setting(
		Invico_Settings . '[cookie-bar-position]', array(
			'default'           => invico_get_option( 'cookie-bar-position' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[cookie-bar-position]', array(
				'type'     => 'select',
				'label'    => esc_html__( 'Message Bar Position', 'invico'),
				'section'  => 'cookie-consent-section',
				'choices'  => apply_filters( 'invico_others_addtocart_custom_action', 
					array(
						'top' 	        => esc_html__('Top', 'invico'),
						'bottom'       => esc_html__('Bottom', 'invico'),
						'top-left' 	   => esc_html__('Top Left Corner', 'invico'),
						'top-right' 	  => esc_html__('Top Right Corner', 'invico'),
						'bottom-left'	 => esc_html__('Bottom Left Corner', 'invico'),
						'bottom-right' => esc_html__('Bottom Right Corner', 'invico'),
					)
				),
				'dependency' => array ( 'enable-cookie-consent', '==', '1' )
			)
		)
	);

/**
 * Option : Enable Dismiss the notification
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-dismiss-the-notification]', array (
			'default'           => invico_get_option( 'enable-dismiss-the-notification' ),
			'type'              => 'option',
			'sanitize_callback' => array ( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-dismiss-the-notification]', array (
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Dismiss the notification', 'invico'),
				'section' => 'cookie-consent-section',
				'choices' => array (
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array ( 'enable-cookie-consent', '==', '1' )
			)
		)
	);

/**
 * Option : Dismiss the notification label
 */
	$wp_customize->add_setting(
		Invico_Settings . '[dismiss-the-notification-label]', array(
			'default'           => invico_get_option( 'dismiss-the-notification-label' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[dismiss-the-notification-label]', array(
				'type'       => 'text',
				'section' 	 => 'cookie-consent-section',
				'label'      => esc_html__( 'Dismiss the notification label', 'invico' ),
				'dependency' => array ( 'enable-cookie-consent|enable-dismiss-the-notification', '==|==', '1|1' )
			)
		)
	);

/**
 * Option : Enable Link to another page
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-link-to-another-page]', array (
			'default'           => invico_get_option( 'enable-link-to-another-page' ),
			'type'              => 'option',
			'sanitize_callback' => array ( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-link-to-another-page]', array (
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Link to another page', 'invico'),
				'section' => 'cookie-consent-section',
				'choices' => array (
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array ( 'enable-cookie-consent', '==', '1' )
			)
		)
	);

/**
 * Option : Link to another page label
 */
	$wp_customize->add_setting(
		Invico_Settings . '[link-to-another-page-label]', array(
			'default'           => invico_get_option( 'link-to-another-page-label' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[link-to-another-page-label]', array(
				'type'       => 'text',
				'section' 	 => 'cookie-consent-section',
				'label'      => esc_html__( 'Link to another page label', 'invico' ),
				'dependency' => array ( 'enable-cookie-consent|enable-link-to-another-page', '==|==', '1|1' )
			)
		)
	);

/**
 * Option : Link to another page link
 */
	$wp_customize->add_setting(
		Invico_Settings . '[link-to-another-page-link]', array(
			'default'           => invico_get_option( 'link-to-another-page-link' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[link-to-another-page-link]', array(
				'type'       => 'text',
				'section' 	 => 'cookie-consent-section',
				'label'      => esc_html__( 'Link to another page link', 'invico' ),
				'dependency' => array ( 'enable-cookie-consent|enable-link-to-another-page', '==|==', '1|1' )
			)
		)
	);

/**
 * Option : Enable Open info modal on privacy and cookies
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-open-infomodal-on-privacy-and-cookies]', array (
			'default'           => invico_get_option( 'enable-dismiss-the-notification' ),
			'type'              => 'option',
			'sanitize_callback' => array ( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-open-infomodal-on-privacy-and-cookies]', array (
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Open info modal on privacy and cookies', 'invico'),
				'section' => 'cookie-consent-section',
				'choices' => array (
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array ( 'enable-cookie-consent', '==', '1' )
			)
		)
	);

/**
* Option : Open info modal on privacy and cookies label
*/
	$wp_customize->add_setting(
		Invico_Settings . '[open-infomodal-on-privacy-and-cookies-label]', array(
			'default'           => invico_get_option( 'open-infomodal-on-privacy-and-cookies-label' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[open-infomodal-on-privacy-and-cookies-label]', array(
				'type'       => 'text',
				'section' 	 => 'cookie-consent-section',
				'label'      => esc_html__( 'Open info modal on privacy and cookies label', 'invico' ),
				'dependency' => array ( 'enable-cookie-consent|enable-open-infomodal-on-privacy-and-cookies', '==|==', '1|1' )
			)
		)
	);


/**
 * Option : Model Window Custom Content
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-custom-model-content]', array (
			'default'           => invico_get_option( 'enable-custom-model-content' ),
			'type'              => 'option',
			'sanitize_callback' => array ( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-custom-model-content]', array (
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Model Window Custom Content', 'invico'),
				'description'   => esc_html__('Instead of displaying the default content set custom content yourself', 'invico'),
				'section' => 'cookie-consent-section',
				'choices' => array (
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array ( 'enable-cookie-consent', '==', '1' )
			)
		)
	);

/**
 * Option : Main Heading
 */
	$wp_customize->add_setting(
		Invico_Settings . '[custom-model-heading]', array(
			'default'           => invico_get_option( 'custom-model-heading' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[custom-model-heading]', array(
				'type'        => 'text',
				'section'     => 'cookie-consent-section',
				'label'       => esc_html__( 'Main Heading', 'invico' ),
				'description' => esc_html__('Cookie and Privacy Settings', 'invico'),
				'dependency'  => array ( 'enable-cookie-consent|enable-custom-model-content', '==|==', '1|1' )
			)
		)
	);

/**
* Option : Model Window Custom Content
*/
	$wp_customize->add_setting(
		Invico_Settings . '[custom-model-content]', array (
			'default'           => invico_get_option( 'custom-model-content' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[custom-model-content]', array (
				'type'    => 'textarea',
				'label'   => esc_html__( 'Model Window Custom Content', 'invico'),
				'section' => 'cookie-consent-section',
				'dependency'  => array ( 'enable-cookie-consent|enable-custom-model-content', '==|==', '1|1' )
			)
		)
	);