<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Breadcrumb Show
 */
	$wp_customize->add_setting(
		Invico_Settings . '[show-breadcrumb]', array(
			'default'           => invico_get_option( 'show-breadcrumb' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[show-breadcrumb]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Breadcrumb', 'invico'),
				'section' => 'site-breadcrumb-container-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Breadcrumb Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[breadcrumb-style]', array(
			'default'           => invico_get_option( 'breadcrumb-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		Invico_Settings . '[breadcrumb-style]', array(
			'type'    => 'select',
			'section' => 'site-breadcrumb-container-section',
			'label'   => esc_html__( 'Style', 'invico' ),
			'choices' => array(
				'default'                           => esc_html__('Default', 'invico'),
				'aligncenter'                       => esc_html__('Align Center', 'invico'),
				'alignright'                        => esc_html__('Align Right', 'invico'),
				'breadcrumb-left'                   => esc_html__('Left Side Breadcrumb', 'invico'),
				'breadcrumb-right'                  => esc_html__('Right Side Breadcrumb', 'invico'),
				'breadcrumb-top-right-title-center' => esc_html__('Top Right Title Center', 'invico'),
				'breadcrumb-top-left-title-center'  => esc_html__('Top Left Title Center', 'invico'),
			)
		)
	);

/**
 * Option : Breadcrumb Position
 */
	$wp_customize->add_setting(
		Invico_Settings . '[breadcrumb-position]', array(
			'default'           => invico_get_option( 'breadcrumb-position' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		Invico_Settings . '[breadcrumb-position]', array(
			'type'    => 'select',
			'section' => 'site-breadcrumb-container-section',
			'label'   => esc_html__( 'Position', 'invico' ),
			'choices' => array(
				'header-top-absolute' => esc_html__('Behind the Header','invico'),
				'header-top-relative' => esc_html__('Default','invico'),
			)
		)
	);

/**
 * Option : Enable Breadcrumb Default Delimiter
 */
	$wp_customize->add_setting(
		Invico_Settings . '[breadcrumb-default-delimiter]', array (
			'default'           => invico_get_option( 'breadcrumb-default-delimiter' ),
			'type'              => 'option',
			'sanitize_callback' => array ( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[breadcrumb-default-delimiter]', array (
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Breadcrumb Default Delimiter', 'invico'),
				'description'   => esc_html__( 'If you wish you can enable default delimiter for your bredcrumb.', 'invico'),
				'section' => 'site-breadcrumb-container-section',
				'choices' => array (
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Breadcrumb Delimiter
 */
	$wp_customize->add_setting(
		Invico_Settings . '[breadcrumb-delimiter]', array(
			'default'   => invico_get_option( 'breadcrumb-delimiter' ),
			'type'      => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Fontawesome(
			$wp_customize, Invico_Settings . '[breadcrumb-delimiter]', array(
				'type'       => 'dt-fontawesome',
				'section'    => 'site-breadcrumb-container-section',
				'label'      => esc_html__( 'Breadcrumb Delimiter', 'invico'),
				'dependency' => array ( 'breadcrumb-default-delimiter', '!=', '1' )
			)
		)
	);