<?php
/**
 * Site General Section
 */
$wp_customize->add_section( 
	new INVICO_WP_Customize_Section(
		$wp_customize,
		'site-general-section',
		array(
			'title'    => esc_html__('Site General', 'invico'),
			'priority' => 1
		)
	)
);

	/**
	 * Option : Custom Header
	 */
		$wp_customize->add_setting(
			Invico_Settings . '[site-custom-header]', array(
				'default'           => invico_get_option( 'site-custom-header' ),
				'type'              => 'option',
				'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
			)
		);

		$wp_customize->add_control( new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[site-custom-header]', array(
				'type'    => 'select',
				'section' => 'site-general-section',
				'label'   => esc_html__( 'Site Header', 'invico' ),
				'choices' => invico_get_customizer_cpt_post_list( 'dt_headers', esc_html__('Select Header', 'invico' ) ),
				'description' => esc_html__('Choose the header for your site.', 'invico'),
			)
		));

	/**
	 * Option : Custom Footer
	 */
		$wp_customize->add_setting(
			Invico_Settings . '[site-custom-footer]', array(
				'default'           => invico_get_option( 'site-custom-footer' ),
				'type'              => 'option',
				'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
			)
		);

		$wp_customize->add_control( new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[site-custom-footer]', array(
				'type'    => 'select',
				'section' => 'site-general-section',
				'label'   => esc_html__( 'Site Footer', 'invico' ),
				'choices' => invico_get_customizer_cpt_post_list( 'dt_footers', esc_html__('Select Footer', 'invico' ) ),
				'description' => esc_html__('Choose the footer for your site.', 'invico'),
			)
		));

	/**
	 * Option : Show Loader
	 */
		$wp_customize->add_setting(
			Invico_Settings . '[show-loader]', array(
				'default'           => invico_get_option( 'show-loader' ),
				'type'              => 'option',
				'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
			)
		);

		$wp_customize->add_control(
			new INVICO_Customize_Control_Switch(
				$wp_customize, Invico_Settings . '[show-loader]', array(
					'type'    => 'dt-switch',
					'label'   => esc_html__( 'Site Loader', 'invico'),
					'section' => 'site-general-section',
					'choices' => array(
						'on'  => esc_attr__( 'Yes', 'invico' ),
						'off' => esc_attr__( 'No', 'invico' )
					)
				)
			)
		);

	/**
	 * Option : Show Page Comments
	 */
		$wp_customize->add_setting(
			Invico_Settings . '[show-pagecomments]', array(
				'default'           => invico_get_option( 'show-pagecomments' ),
				'type'              => 'option',
				'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
			)
		);

		$wp_customize->add_control(
			new INVICO_Customize_Control_Switch(
				$wp_customize, Invico_Settings . '[show-pagecomments]', array(
					'type'        => 'dt-switch',
					'label'       => esc_html__( 'Globally Show Page Comments', 'invico'),
					'section'     => 'site-general-section',
					'description' => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'invico'),
					'choices'     => array(
						'on'  => esc_attr__( 'Yes', 'invico' ),
						'off' => esc_attr__( 'No', 'invico' )
					)
				)
			)
		);

	/**
	 * Option : Show all Pages in Pagination
	 */
		$wp_customize->add_setting(
			Invico_Settings . '[showall-pagination]', array(
				'default'           => invico_get_option( 'showall-pagination' ),
				'type'              => 'option',
				'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),				
			)
		);

		$wp_customize->add_control(
			new INVICO_Customize_Control_Switch(
				$wp_customize, Invico_Settings . '[showall-pagination]', array(
					'type'        => 'dt-switch',
					'label'       => esc_html__( 'Show all pages in Pagination', 'invico'),
					'section'     => 'site-general-section',
					'description' => esc_html__('YES! to show all the pages instead of dots near the current page.', 'invico'),
					'choices'     => array(
						'on'  => esc_attr__( 'Yes', 'invico' ),
						'off' => esc_attr__( 'No', 'invico' )
					)
				)
			)
		);

	/**
	 * Option : Google Map Key
	 */
		$wp_customize->add_setting(
			Invico_Settings . '[google-map-key]', array(
				'default'           => invico_get_option( 'google-map-key' ),
				'type'              => 'option',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
			)
		);

		$wp_customize->add_control(
			Invico_Settings . '[google-map-key]', array(
				'type'    	  => 'text',
				'section'     => 'site-general-section',
				'label'       => esc_html__( 'Google Map Key', 'invico' ),
				'description' => esc_html__('Put a valid google account api key here', 'invico'),
			)
		);

	/**
	 * Option : Mailchimp Key
	 */
		$wp_customize->add_setting(
			Invico_Settings . '[mailchimp-key]', array(
				'default'           => invico_get_option( 'mailchimp-key' ),
				'type'              => 'option',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
			)
		);

		$wp_customize->add_control(
			Invico_Settings . '[mailchimp-key]', array(
				'type'    	  => 'text',
				'section'     => 'site-general-section',
				'label'       => esc_html__( 'Mailchimp Key', 'invico' ),
				'description' => esc_html__('Put a valid mailchimp account api key here', 'invico'),
			)
		);

	/**
	 * Option : Show To Top
	 */
		$wp_customize->add_setting(
			Invico_Settings . '[show-to-top]', array(
				'default'           => invico_get_option( 'show-to-top' ),
				'type'              => 'option',
				'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
			)
		);

		$wp_customize->add_control(
			new INVICO_Customize_Control_Switch(
				$wp_customize, Invico_Settings . '[show-to-top]', array(
					'type'    => 'dt-switch',
					'label'   => esc_html__( 'Show To Top', 'invico'),
					'section' => 'site-general-section',
					'description' => esc_html__('YES! to enable to top for your site.', 'invico'),
					'choices' => array(
						'on'  => esc_attr__( 'Yes', 'invico' ),
						'off' => esc_attr__( 'No', 'invico' )
					)
				)
			)
		);		