<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Enable Content Before Hook
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-content-before-hook]', array(
			'default'           => invico_get_option( 'enable-content-before-hook' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-content-before-hook]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Content Before Hook', 'invico'),
				'section' => 'site-content-before-hook-section',
				'description' => esc_html__('YES! to enable content before hook.', 'invico'),
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Content Before Hook
 */
	$wp_customize->add_setting(
		Invico_Settings . '[content-before-hook]', array(
			'default'           => invico_get_option( 'content-before-hook' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_html' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[content-before-hook]', array(
				'type'    	  => 'textarea',
				'section'     => 'site-content-before-hook-section',
				'label'       => esc_html__( 'Content Before Hook', 'invico' ),
				'description' => sprintf( esc_html__('Paste your content before hook, Executes before the opening %s tag.', 'invico'), '&lt;#primary&gt;' )
			)
		)
	);