<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Enable Top Hook
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-top-hook]', array(
			'default'           => invico_get_option( 'enable-top-hook' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-top-hook]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Top Hook', 'invico'),
				'section' => 'site-top-hook-section',
				'description' => esc_html__('YES! to enable top hook.', 'invico'),
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Top Hook
 */
	$wp_customize->add_setting(
		Invico_Settings . '[top-hook]', array(
			'default'           => invico_get_option( 'top-hook' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_html' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[top-hook]', array(
				'type'    	  => 'textarea',
				'section'     => 'site-top-hook-section',
				'label'       => esc_html__( 'Top Hook', 'invico' ),
				'description' => sprintf( esc_html__('Paste your top hook, Executes after the opening %s tag.', 'invico'), '&lt;body&gt;')
			)
		)
	);