<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : 404 Meaage
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-404message]', array(
			'default'           => invico_get_option( 'enable-404message' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-404message]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Message', 'invico'),
				'description' => esc_html__('YES! to enable not-found page message.', 'invico'),
				'section' => 'site-404-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Template Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[notfound-style]', array(
			'default'           => invico_get_option( 'notfound-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[notfound-style]', array(
			'type'    => 'select',
			'section' => 'site-404-page-section',
			'label'   => esc_html__( 'Template Style', 'invico' ),
			'choices' => array(
				'type1'  => esc_html__('Modern', 'invico'),
				'type2'  => esc_html__('Classic', 'invico'),
				'type4'  => esc_html__('Diamond', 'invico'),
				'type5'  => esc_html__('Shadow', 'invico'),
				'type6'  => esc_html__('Diamond Alt', 'invico'),
				'type7'  => esc_html__('Stack', 'invico'),
				'type8'  => esc_html__('Minimal', 'invico'),
			),
			'description' => esc_html__('Choose the style of not-found template page.', 'invico'),
		)
	));

/**
 * Option : Notfound Dark BG
 */
	$wp_customize->add_setting(
		Invico_Settings . '[notfound-darkbg]', array(
			'default'           => invico_get_option( 'notfound-darkbg' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[notfound-darkbg]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( '404 Dark BG', 'invico'),
				'description' => esc_html__('YES! to use dark bg notfound page for this site.', 'invico'),
				'section' => 'site-404-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Custom Page
 */
	$wp_customize->add_setting(
		Invico_Settings . '[notfound-pageid]', array(
			'default'           => invico_get_option( 'notfound-pageid' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[notfound-pageid]', array(
			'type'    => 'select',
			'section' => 'site-404-page-section',
			'label'   => esc_html__( 'Custom Page', 'invico' ),
			'choices' => invico_get_customizer_pages(),
			'description' => esc_html__('Choose the page for not-found content.', 'invico'),
		)
	));

/**
 * Option : 404 Background
 */
	$wp_customize->add_setting(
		Invico_Settings . '[notfound_background]', array(
			'default'           =>  '',
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_background_obj' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Background(
			$wp_customize, Invico_Settings . '[notfound_background]', array(
				'type'    => 'dt-background',
				'section' => 'site-404-page-section',
				'label'   => esc_html__( 'Background', 'invico' ),
			)
		)		
	);

/**
 * Option : Custom Styles
 */
	$wp_customize->add_setting(
		Invico_Settings . '[notfound-bg-style]', array(
			'default'           => invico_get_option( 'notfound-bg-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_html' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[notfound-bg-style]', array(
				'type'    	  => 'textarea',
				'section'     => 'site-404-page-section',
				'label'       => esc_html__( 'Custom Inline Styles', 'invico' ),
				'description' => esc_html__('Paste custom CSS styles for not found page.', 'invico'),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'color:#ff00bb; text-align:left;', 'invico' ),
				),
			)
		)
	);