<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Archive Page Layout
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-archives-page-layout]', array(
			'default'           => invico_get_option( 'blog-archives-page-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Radio_Image(
		$wp_customize, Invico_Settings . '[blog-archives-page-layout]', array(
			'type' => 'dt-radio-image',
			'label' => esc_html__( 'Page Layout', 'invico'),
			'section' => 'site-post-archives-section',
			'choices' => apply_filters( 'invico_archive_page_layout_options', array(
				'content-full-width' => array(
					'label' => esc_html__( 'Without Sidebar', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/without-sidebar.png'
				),
				'with-left-sidebar' => array(
					'label' => esc_html__( 'Left Sidebar', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/left-sidebar.png'
				),
				'with-right-sidebar' => array(
					'label' => esc_html__( 'Right Sidebar', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/right-sidebar.png'
				),
				'with-both-sidebar' => array(
					'label' => esc_html__( 'Both Sidebar', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/both-sidebar.png'
				),
			))
        )
    ));

/**
 * Option : Show Standard Left Sidebar
 */
	$wp_customize->add_setting(
		Invico_Settings . '[show-standard-left-sidebar-for-post-archives]', array(
			'default'           => invico_get_option( 'show-standard-left-sidebar-for-post-archives' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[show-standard-left-sidebar-for-post-archives]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Standard Left Sidebar', 'invico'),
				'section' => 'site-post-archives-section',
				'dependency' => array( 'blog-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Show Standard Right Sidebar
 */
	$wp_customize->add_setting(
		Invico_Settings . '[show-standard-right-sidebar-for-post-archives]', array(
			'default'           => invico_get_option( 'show-standard-right-sidebar-for-post-archives' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[show-standard-right-sidebar-for-post-archives]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Standard Right Sidebar', 'invico'),
				'section' => 'site-post-archives-section',
				'dependency' => array( 'blog-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Archive Post Layout
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-post-layout]', array(
			'default'           => invico_get_option( 'blog-post-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Radio_Image(
		$wp_customize, Invico_Settings . '[blog-post-layout]', array(
			'type' => 'dt-radio-image',
			'label' => esc_html__( 'Post Layout', 'invico'),
			'section' => 'site-post-archives-section',
			'choices' => apply_filters( 'invico_archive_post_layout_options', array(
				'entry-grid' => array(
					'label' => esc_html__( 'Grid', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/entry-grid.png'
				),
				'entry-list' => array(
					'label' => esc_html__( 'List', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/entry-list.png'
				),
				'entry-cover' => array(
					'label' => esc_html__( 'Cover', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/entry-cover.png'
				),
			))
        )
    ));

/**
 * Option : Post Grid, List Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-post-grid-list-style]', array(
			'default'           => invico_get_option( 'blog-post-grid-list-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[blog-post-grid-list-style]', array(
			'type'    => 'select',
			'section' => 'site-post-archives-section',
			'label'   => esc_html__( 'Post Style', 'invico' ),
			'choices' => array(
				'dt-sc-boxed' 			=> esc_html__('Boxed', 'invico'),
				'dt-sc-simple'      	=> esc_html__('Simple', 'invico'),
				'dt-sc-overlap'      	=> esc_html__('Overlap', 'invico'),
				'dt-sc-content-overlay' => esc_html__('Content Overlay', 'invico'),
				'dt-sc-simple-withbg'	=> esc_html__('Simple with Background', 'invico'),
				'dt-sc-overlay'   	    => esc_html__('Overlay', 'invico'),
				'dt-sc-overlay-ii'      => esc_html__('Overlay II', 'invico'),			  
				'dt-sc-overlay-iii'     => esc_html__('Overlay III', 'invico'),			  
				'dt-sc-alternate'	 	=> esc_html__('Alternate', 'invico'),
				'dt-sc-minimal'       	=> esc_html__('Minimal', 'invico'),
				'dt-sc-modern' 	      	=> esc_html__('Modern', 'invico'),
				'dt-sc-classic'	 		=> esc_html__('Classic', 'invico'),
				'dt-sc-classic-ii'	 	=> esc_html__('Classic II', 'invico'),
				'dt-sc-classic-overlay' => esc_html__('Classic Overlay', 'invico'),
				'dt-sc-grungy-boxed' 	=> esc_html__('Grungy Boxed', 'invico'),
				'dt-sc-title-overlap'	=> esc_html__('Title Overlap', 'invico'),
			),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' )
		)
	));

/**
 * Option : Post Cover Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-post-cover-style]', array(
			'default'           => invico_get_option( 'blog-post-cover-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[blog-post-cover-style]', array(
			'type'    => 'select',
			'section' => 'site-post-archives-section',
			'label'   => esc_html__( 'Post Style', 'invico' ),
			'choices' => array(
				'dt-sc-boxed' 			=> esc_html__('Boxed', 'invico'),
				'dt-sc-canvas'      	=> esc_html__('Canvas', 'invico'),
				'dt-sc-content-overlay' => esc_html__('Content Overlay', 'invico'),
				'dt-sc-overlay'   	    => esc_html__('Overlay', 'invico'),
				'dt-sc-overlay-ii'      => esc_html__('Overlay II', 'invico'),
				'dt-sc-overlay-iii'     => esc_html__('Overlay III', 'invico'),
				'dt-sc-trendy' 			=> esc_html__('Trendy', 'invico'),
				'dt-sc-mobilephone' 	=> esc_html__('Mobile Phone', 'invico'),
			),
			'dependency'   => array( 'blog-post-layout', '==', 'entry-cover' )
		)
	));

/**
 * Option : Post Columns
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-post-columns]', array(
			'default'           => invico_get_option( 'blog-post-columns' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Radio_Image(
		$wp_customize, Invico_Settings . '[blog-post-columns]', array(
			'type' => 'dt-radio-image',
			'label' => esc_html__( 'Columns', 'invico'),
			'section' => 'site-post-archives-section',
			'choices' => apply_filters( 'invico_archive_post_columns_options', array(
				'one-column' => array(
					'label' => esc_html__( 'One Column', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/one-column.png'
				),
				'one-half-column' => array(
					'label' => esc_html__( 'One Half Column', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/one-half-column.png'
				),
				'one-third-column' => array(
					'label' => esc_html__( 'One Third Column', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/one-third-column.png'
				),
			)),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
        )
    ));

/**
 * Option : List Thumb
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-list-thumb]', array(
			'default'           => invico_get_option( 'blog-list-thumb' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Radio_Image(
		$wp_customize, Invico_Settings . '[blog-list-thumb]', array(
			'type' => 'dt-radio-image',
			'label' => esc_html__( 'List Type', 'invico'),
			'section' => 'site-post-archives-section',
			'choices' => apply_filters( 'invico_archive_list_thumb_options', array(
				'entry-left-thumb' => array(
					'label' => esc_html__( 'Left Thumb', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/entry-left-thumb.png'
				),
				'entry-right-thumb' => array(
					'label' => esc_html__( 'Right Thumb', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/entry-right-thumb.png'
				),
			)),
			'dependency' => array( 'blog-post-layout', '==', 'entry-list' ),
        )
    ));

/**
 * Option : Post Alignment
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-alignment]', array(
			'default'           => invico_get_option( 'blog-alignment' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[blog-alignment]', array(
			'type'    => 'select',
			'section' => 'site-post-archives-section',
			'label'   => esc_html__( 'Elements Alignment', 'invico' ),
			'choices' => array(
			  'alignnone'	=> esc_html__('None', 'invico'),
			  'alignleft' 	=> esc_html__('Align Left', 'invico'),
			  'aligncenter' => esc_html__('Align Center', 'invico'),
			  'alignright'  => esc_html__('Align Right', 'invico'),
			),
			'dependency'   => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		)
	));

/**
 * Option : Thumb Links
 */
$wp_customize->add_setting(
	Invico_Settings . '[enable-thumb-links]', array(
		'default'           => invico_get_option( 'enable-thumb-links' ),
		'type'              => 'option',
		'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
	)
);

$wp_customize->add_control(
	new INVICO_Customize_Control_Switch(
		$wp_customize, Invico_Settings . '[enable-thumb-links]', array(
			'type'    => 'dt-switch',
			'label'   => esc_html__( 'Enable Thumb Links', 'invico'),
			'section' => 'site-post-archives-section',
			'choices' => array(
				'on'  => esc_attr__( 'Yes', 'invico' ),
				'off' => esc_attr__( 'No', 'invico' )
			),
			'dependency' => array( 'blog-post-grid-list-style', '==', 'dt-sc-overlay-ii' ),
		)
	)
);

/**
 * Option : Equal Height
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-equal-height]', array(
			'default'           => invico_get_option( 'enable-equal-height' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-equal-height]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Equal Height', 'invico'),
				'section' => 'site-post-archives-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
			)
		)
	);

/**
 * Option : No Space
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-no-space]', array(
			'default'           => invico_get_option( 'enable-no-space' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-no-space]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable No Space', 'invico'),
				'section' => 'site-post-archives-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
			)
		)
	);

/**
 * Option : Gallery Slider
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-gallery-slider]', array(
			'default'           => invico_get_option( 'enable-gallery-slider' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-gallery-slider]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Display Gallery Slider', 'invico'),
				'section' => 'site-post-archives-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
			)
		)
	);

/**
 * Divider : Blog Gallery Slider Bottom
 */
	$wp_customize->add_control(
		new INVICO_Customize_Control_Separator(
			$wp_customize, Invico_Settings . '[blog-gallery-slider-bottom-separator]', array(
				'type'     => 'dt-separator',
				'section'  => 'site-post-archives-section',
				'settings' => array(),
			)
		)
	);

/**
 * Option : Blog Elements
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-elements-position]', array(
			'default'           => invico_get_option( 'blog-elements-position' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_multi_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Sortable(
		$wp_customize, Invico_Settings . '[blog-elements-position]', array(
			'type' => 'dt-sortable',
			'label' => esc_html__( 'Elements Positioning', 'invico'),
			'section' => 'site-post-archives-section',
			'choices' => apply_filters( 'invico_archive_post_elements_options', array(
				'feature_image'	=> esc_html__('Feature Image', 'invico'),
				'title'      	=> esc_html__('Title', 'invico'),
				'content'    	=> esc_html__('Content', 'invico'),
				'read_more'  	=> esc_html__('Read More', 'invico'),
				'meta_group' 	=> esc_html__('Meta Group', 'invico'),
				'author'		=> esc_html__('Author', 'invico'),
				'date'     		=> esc_html__('Date', 'invico'),
				'comments' 		=> esc_html__('Comments', 'invico'),
				'categories'    => esc_html__('Categories', 'invico'),
				'tags'  		=> esc_html__('Tags', 'invico'),
				'social_share'  => esc_html__('Social Share', 'invico'),
				'likes_views'   => esc_html__('Likes & Views', 'invico'),
			)),
        )
    ));

/**
 * Option : Blog Meta Elements
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-meta-position]', array(
			'default'           => invico_get_option( 'blog-meta-position' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_multi_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Sortable(
		$wp_customize, Invico_Settings . '[blog-meta-position]', array(
			'type' => 'dt-sortable',
			'label' => esc_html__( 'Meta Group Positioning', 'invico'),
			'section' => 'site-post-archives-section',
			'choices' => apply_filters( 'invico_archive_post_meta_elements_options', array(
				'author'		=> esc_html__('Author', 'invico'),
				'date'     		=> esc_html__('Date', 'invico'),
				'comments' 		=> esc_html__('Comments', 'invico'),
				'categories'    => esc_html__('Categories', 'invico'),
				'tags'  		=> esc_html__('Tags', 'invico'),
				'social_share'  => esc_html__('Social Share', 'invico'),
				'likes_views'   => esc_html__('Likes & Views', 'invico'),
			)),
			'description' => esc_html__('Note: Use max 3 items for better results.', 'invico'),
        )
    ));

/**
 * Divider : Blog Meta Elements Bottom
 */
	$wp_customize->add_control(
		new INVICO_Customize_Control_Separator(
			$wp_customize, Invico_Settings . '[blog-meta-elements-bottom-separator]', array(
				'type'     => 'dt-separator',
				'section'  => 'site-post-archives-section',
				'settings' => array(),
			)
		)
	);

/**
 * Option : Post Format
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-post-format]', array(
			'default'           => invico_get_option( 'enable-post-format' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-post-format]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Post Format', 'invico'),
				'section' => 'site-post-archives-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Enable Excerpt
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-excerpt-text]', array(
			'default'           => invico_get_option( 'enable-excerpt-text' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-excerpt-text]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Excerpt Text', 'invico'),
				'section' => 'site-post-archives-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Excerpt Text
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-excerpt-length]', array(
			'default'           => invico_get_option( 'blog-excerpt-length' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_number' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[blog-excerpt-length]', array(
				'type'    	  => 'text',
				'section'     => 'site-post-archives-section',
				'label'       => esc_html__( 'Excerpt Length', 'invico' ),
				'description' => esc_html__('Put Excerpt Length', 'invico'),
				'input_attrs' => array(
					'value'	=> 25,
				),
				'dependency'  => array( 'enable-excerpt-text', '==', 'true' ),
			)
		)
	);

/**
 * Option : Enable Video Audio
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-video-audio]', array(
			'default'           => invico_get_option( 'enable-video-audio' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-video-audio]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Display Video & Audio for Posts', 'invico'),
				'description' => esc_html__('YES! to display video & audio, instead of feature image for posts', 'invico'),
				'section' => 'site-post-archives-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
			)
		)
	);

/**
 * Option : Readmore Text
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-readmore-text]', array(
			'default'           => invico_get_option( 'blog-readmore-text' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_html' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[blog-readmore-text]', array(
				'type'    	  => 'text',
				'section'     => 'site-post-archives-section',
				'label'       => esc_html__( 'Read More Text', 'invico' ),
				'description' => esc_html__('Put the read more text here', 'invico'),
				'input_attrs' => array(
					'value'	=> esc_html__('Read More', 'invico'),
				)
			)
		)
	);

/**
 * Option : Image Hover Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-image-hover-style]', array(
			'default'           => invico_get_option( 'blog-image-hover-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[blog-image-hover-style]', array(
			'type'    => 'select',
			'section' => 'site-post-archives-section',
			'label'   => esc_html__( 'Image Hover Style', 'invico' ),
			'choices' => array(
			  'dt-sc-default' 	  => esc_html__('Default', 'invico'),
			  'dt-sc-blur'        => esc_html__('Blur', 'invico'),
			  'dt-sc-bw'   		  => esc_html__('Black and White', 'invico'),
			  'dt-sc-brightness'  => esc_html__('Brightness', 'invico'),
			  'dt-sc-fadeinleft'  => esc_html__('Fade InLeft', 'invico'),
			  'dt-sc-fadeinright' => esc_html__('Fade InRight', 'invico'),
			  'dt-sc-hue-rotate'  => esc_html__('Hue-Rotate', 'invico'),
			  'dt-sc-invert'	  => esc_html__('Invert', 'invico'),
			  'dt-sc-opacity'     => esc_html__('Opacity', 'invico'),
			  'dt-sc-rotate'	  => esc_html__('Rotate', 'invico'),
			  'dt-sc-rotate-alt'  => esc_html__('Rotate Alt', 'invico'),
			  'dt-sc-scalein'     => esc_html__('Scale In', 'invico'),
			  'dt-sc-scaleout' 	  => esc_html__('Scale Out', 'invico'),
			  'dt-sc-sepia'	   	  => esc_html__('Sepia', 'invico'),
			  'dt-sc-tint'		  => esc_html__('Tint', 'invico'),
			),
			'description' => esc_html__('Choose image hover style to display archives pages.', 'invico'),
		)
	));

/**
 * Option : Image Hover Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-image-overlay-style]', array(
			'default'           => invico_get_option( 'blog-image-overlay-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[blog-image-overlay-style]', array(
			'type'    => 'select',
			'section' => 'site-post-archives-section',
			'label'   => esc_html__( 'Image Overlay Style', 'invico' ),
			'choices' => array(
			  'dt-sc-default' 			=> esc_html__('None', 'invico'),
			  'dt-sc-fixed' 			=> esc_html__('Fixed', 'invico'),
			  'dt-sc-tb' 				=> esc_html__('Top to Bottom', 'invico'),
			  'dt-sc-bt'   				=> esc_html__('Bottom to Top', 'invico'),
			  'dt-sc-rl'   				=> esc_html__('Right to Left', 'invico'),
			  'dt-sc-lr'				=> esc_html__('Left to Right', 'invico'),
			  'dt-sc-middle'			=> esc_html__('Middle', 'invico'),
			  'dt-sc-middle-radial'		=> esc_html__('Middle Radial', 'invico'),
			  'dt-sc-tb-gradient' 		=> esc_html__('Gradient - Top to Bottom', 'invico'),
			  'dt-sc-bt-gradient'   	=> esc_html__('Gradient - Bottom to Top', 'invico'),
			  'dt-sc-rl-gradient'   	=> esc_html__('Gradient - Right to Left', 'invico'),
			  'dt-sc-lr-gradient'		=> esc_html__('Gradient - Left to Right', 'invico'),
			  'dt-sc-radial-gradient'	=> esc_html__('Gradient - Radial', 'invico'),
			  'dt-sc-flash' 			=> esc_html__('Flash', 'invico'),
			  'dt-sc-circle' 			=> esc_html__('Circle', 'invico'),
			  'dt-sc-hm-elastic'		=> esc_html__('Horizontal Elastic', 'invico'),
			  'dt-sc-vm-elastic'		=> esc_html__('Vertical Elastic', 'invico'),
			),
			'description' => esc_html__('Choose image overlay style to display archives pages.', 'invico'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		)
	));

/**
 * Option : Pagination
 */
	$wp_customize->add_setting(
		Invico_Settings . '[blog-pagination]', array(
			'default'           => invico_get_option( 'blog-pagination' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[blog-pagination]', array(
			'type'    => 'select',
			'section' => 'site-post-archives-section',
			'label'   => esc_html__( 'Pagination Style', 'invico' ),
			'choices' => array(
			  'older_newer' 	=> esc_html__('Older & Newer', 'invico'),
			  'numbered'      	=> esc_html__('Numbered', 'invico'),
			  'load_more'      	=> esc_html__('Load More', 'invico'),
			  'infinite_scroll'	=> esc_html__('Infinite Scroll', 'invico'),
			),
			'description' => esc_html__('Choose pagination style to display archives pages.', 'invico')
		)
	));