<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Post Elements
 */
	$wp_customize->add_setting(
		Invico_Settings . '[post-elements-position]', array(
			'default'           => invico_get_option( 'post-elements-position' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_multi_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Sortable(
		$wp_customize, Invico_Settings . '[post-elements-position]', array(
			'type' => 'dt-sortable',
			'label' => esc_html__( 'Post Elements Positioning', 'invico'),
			'section' => 'site-post-single-section',
			'choices' => apply_filters( 'invico_single_post_elements_options', array(
				'feature_image'	=> esc_html__('Feature Image', 'invico'),
				'title'      	=> esc_html__('Title', 'invico'),
				'content'    	=> esc_html__('Content', 'invico'),
				'meta_group' 	=> esc_html__('Meta Group', 'invico'),
				'navigation'    => esc_html__('Navigation', 'invico'),
				'author_bio' 	=> esc_html__('Author Bio', 'invico'),
				'comment_box' 	=> esc_html__('Comment Box', 'invico'),
				'related_posts' => esc_html__('Related Posts', 'invico'),
				'author'		=> esc_html__('Author', 'invico'),
				'date'     		=> esc_html__('Date', 'invico'),
				'comments' 		=> esc_html__('Comments', 'invico'),
				'categories'    => esc_html__('Categories', 'invico'),
				'tags'  		=> esc_html__('Tags', 'invico'),
				'social_share'  => esc_html__('Social Share', 'invico'),
				'likes_views'   => esc_html__('Likes & Views', 'invico'),
				'related_article' 	=> esc_html__('Related Article( Only Fixed )', 'invico'),
			)),
        )
    ));

/**
 * Option : Meta Elements
 */
	$wp_customize->add_setting(
		Invico_Settings . '[post-meta-position]', array(
			'default'           => invico_get_option( 'post-meta-position' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_multi_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Sortable(
		$wp_customize, Invico_Settings . '[post-meta-position]', array(
			'type' => 'dt-sortable',
			'label' => esc_html__( 'Meta Group Positioning', 'invico'),
			'section' => 'site-post-single-section',
			'choices' => apply_filters( 'invico_single_post_meta_elements_options', array(
				'author'		=> esc_html__('Author', 'invico'),
				'date'     		=> esc_html__('Date', 'invico'),
				'comments' 		=> esc_html__('Comments', 'invico'),
				'categories'    => esc_html__('Categories', 'invico'),
				'tags'  		=> esc_html__('Tags', 'invico'),
				'social_share'  => esc_html__('Social Share', 'invico'),
				'likes_views'   => esc_html__('Likes & Views', 'invico'),
			))
        )
    ));

/**
 * Option : Post Related Title
 */
	$wp_customize->add_setting(
		Invico_Settings . '[post-related-title]', array(
			'default'           => invico_get_option( 'post-related-title' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_html' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[post-related-title]', array(
				'type'    	  => 'text',
				'section'     => 'site-post-single-section',
				'label'       => esc_html__( 'Related Posts Section Title', 'invico' ),
				'description' => esc_html__('Put the related posts section title here', 'invico'),
				'input_attrs' => array(
					'value'	=> esc_html__('Related Posts', 'invico'),
				)
			)
		)
	);

/**
 * Option : Related Columns
 */
	$wp_customize->add_setting(
		Invico_Settings . '[post-related-columns]', array(
			'default'           => invico_get_option( 'post-related-columns' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

    $wp_customize->add_control( new INVICO_Customize_Control_Radio_Image(
		$wp_customize, Invico_Settings . '[post-related-columns]', array(
			'type' => 'dt-radio-image',
			'label' => esc_html__( 'Columns', 'invico'),
			'section' => 'site-post-single-section',
			'choices' => apply_filters( 'invico_single_related_columns_options', array(
				'one-column' => array(
					'label' => esc_html__( 'One Column', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/one-column.png'
				),
				'one-half-column' => array(
					'label' => esc_html__( 'One Half Column', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/one-half-column.png'
				),
				'one-third-column' => array(
					'label' => esc_html__( 'One Third Column', 'invico' ),
					'path' => Invico_Uri . '/inc/customizer/assets/images/one-third-column.png'
				),
			)),
        )
    ));

/**
 * Option : Related Count
 */
	$wp_customize->add_setting(
		Invico_Settings . '[post-related-count]', array(
			'default'           => invico_get_option( 'post-related-count' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_number' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[post-related-count]', array(
				'type'    	  => 'text',
				'section'     => 'site-post-single-section',
				'label'       => esc_html__( 'No.of Posts to Show', 'invico' ),
				'description' => esc_html__('Put the no.of related posts to show', 'invico'),
				'input_attrs' => array(
					'value'	=> 3,
				),
			)
		)
	);

/**
 * Option : Enable Excerpt
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-related-excerpt]', array(
			'default'           => invico_get_option( 'enable-related-excerpt' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-related-excerpt]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Excerpt Text', 'invico'),
				'section' => 'site-post-single-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Excerpt Text
 */
	$wp_customize->add_setting(
		Invico_Settings . '[post-related-excerpt]', array(
			'default'           => invico_get_option( 'post-related-excerpt' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_number' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[post-related-excerpt]', array(
				'type'    	  => 'text',
				'section'     => 'site-post-single-section',
				'label'       => esc_html__( 'Excerpt Length', 'invico' ),
				'description' => esc_html__('Put Excerpt Length', 'invico'),
				'input_attrs' => array(
					'value'	=> 25,
				),
				'dependency' => array( 'enable-related-excerpt', '==', 'true' ),
			)
		)
	);

/**
 * Option : Related Carousel
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-related-carousel]', array(
			'default'           => invico_get_option( 'enable-related-carousel' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-related-carousel]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Carousel', 'invico'),
				'description' => esc_html__('YES! to enable carousel related posts', 'invico'),
				'section' => 'site-post-single-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Related Carousel Nav
 */
	$wp_customize->add_setting(
		Invico_Settings . '[related-carousel-nav]', array(
			'default'           => invico_get_option( 'related-carousel-nav' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[related-carousel-nav]', array(
			'type'    => 'select',
			'section' => 'site-post-single-section',
			'label'   => esc_html__( 'Navigation Style', 'invico' ),
			'choices' => array(
				'' 			 => esc_html__('None', 'invico'),
				'navigation' => esc_html__('Navigations', 'invico'),
				'pager'   	 => esc_html__('Pager', 'invico'),
			),
			'description' => esc_html__('Choose navigation style to display related post carousel.', 'invico'),
			'dependency' => array( 'enable-related-carousel', '==', 'true' ),
		)
	));

/**
 * Option : Image Lightbox
 */
	$wp_customize->add_setting(
		Invico_Settings . '[enable-image-lightbox]', array(
			'default'           => invico_get_option( 'enable-image-lightbox' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[enable-image-lightbox]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Feature Image Lightbox', 'invico'),
				'description' => esc_html__('YES! to enable lightbox for feature image. Will not work in "Overlay" style.', 'invico'),
				'section' => 'site-post-single-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

/**
 * Option : Comment List Style
 */
	$wp_customize->add_setting(
		Invico_Settings . '[post-comments-list-style]', array(
			'default'           => invico_get_option( 'post-comments-list-style' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[post-comments-list-style]', array(
			'type'    => 'select',
			'section' => 'site-post-single-section',
			'label'   => esc_html__( 'Comments List Style', 'invico' ),
			'choices' => array(
			  'rounded' 	=> esc_html__('Rounded', 'invico'),
			  'square'   	=> esc_html__('Square', 'invico'),
			),
			'description' => esc_html__('Choose comments list style to display single post. This option will also apply for page comments.', 'invico'),
		)
	));