<?php
/**
 * Site Skin Main Section
 */
$wp_customize->add_section( 
	new INVICO_WP_Customize_Section(
		$wp_customize,
		'site-skin-main-section',
		array(
			'title'    => esc_html__('Site Skin', 'invico'),
			'priority' => 10
		)
	)
);


/**
 * Option : Primary Color
 */
	$wp_customize->add_setting(
		Invico_Settings . '[primary-color]', array(
			'default'           => invico_get_option( 'primary-color' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_hex_color' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control_Color(
		$wp_customize, Invico_Settings . '[primary-color]', array(
			'label'   => esc_html__( 'Primary Color', 'invico' ),
			'section' => 'site-skin-main-section',
		)
	));

/**
 * Option : Secondary Color
 */
	$wp_customize->add_setting(
		Invico_Settings . '[secondary-color]', array(
			'default'           => invico_get_option( 'secondary-color' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_hex_color' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control_Color(
		$wp_customize, Invico_Settings . '[secondary-color]', array(
			'label'   => esc_html__( 'Secondary Color', 'invico' ),
			'section' => 'site-skin-main-section',
		)
	));

/**
 * Option : Tertiary Color
 */
	$wp_customize->add_setting(
		Invico_Settings . '[tertiary-color]', array(
			'default'           => invico_get_option( 'tertiary-color' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_hex_color' ),
		)
	);

	$wp_customize->add_control( new INVICO_Customize_Control_Color(
		$wp_customize, Invico_Settings . '[tertiary-color]', array(
			'label'   => esc_html__( 'Tertiary Color', 'invico' ),
			'section' => 'site-skin-main-section',
		)
	));
	
/**
 * Divider : Tertiary Color Bottom
 */
	$wp_customize->add_control(
		new INVICO_Customize_Control_Separator(
			$wp_customize, Invico_Settings . '[tertiary-color-bottom-separator]', array(
				'type'     => 'dt-separator',
				'section'  => 'site-skin-main-section',
				'settings' => array(),
			)
		)
	);