<?php
/**
 * Site Sociable Main Section
 */
$wp_customize->add_section( 
	new INVICO_WP_Customize_Section(
		$wp_customize,
		'site-sociable-main-section',
		array(
			'title'    => esc_html__('Sociable', 'invico'),
			'priority' => 10
		)
	)
);

/**
 * Option : Delicious
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-delicious]', array(
			'default'           => invico_get_option( 'sociable-delicious' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-delicious]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Delicious', 'invico' ),
				'description' => esc_html__('Put sociable url, wants to show on front-end.', 'invico'),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Delicious', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Deviantart
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-deviantart]', array(
			'default'           => invico_get_option( 'sociable-deviantart' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-deviantart]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Deviantart', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Deviantart', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Digg
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-digg]', array(
			'default'           => invico_get_option( 'sociable-digg' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-digg]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Digg', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Digg', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Dribbble
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-dribbble]', array(
			'default'           => invico_get_option( 'sociable-dribbble' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-dribbble]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Dribbble', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Dribbble', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Envelope
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-envelope]', array(
			'default'           => invico_get_option( 'sociable-envelope' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-envelope]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Envelope', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Envelope', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Facebook
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-facebook]', array(
			'default'           => invico_get_option( 'sociable-facebook' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-facebook]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Facebook', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Facebook', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Flickr
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-flickr]', array(
			'default'           => invico_get_option( 'sociable-flickr' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-flickr]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Flickr', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Flickr', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Google Plus
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-google-plus]', array(
			'default'           => invico_get_option( 'sociable-google-plus' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-google-plus]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Google Plus', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Google Plus', 'invico' ),
				),
			)
		)
	);

/**
 * Option : GTalk
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-gtalk]', array(
			'default'           => invico_get_option( 'sociable-gtalk' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-gtalk]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'GTalk', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'GTalk', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Instagram
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-instagram]', array(
			'default'           => invico_get_option( 'sociable-instagram' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-instagram]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Instagram', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Instagram', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Lastfm
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-lastfm]', array(
			'default'           => invico_get_option( 'sociable-lastfm' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-lastfm]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Lastfm', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Lastfm', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Linkedin
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-linkedin]', array(
			'default'           => invico_get_option( 'sociable-linkedin' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-linkedin]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Linkedin', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Linkedin', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Pinterest
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-pinterest]', array(
			'default'           => invico_get_option( 'sociable-pinterest' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-pinterest]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Pinterest', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Pinterest', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Reddit
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-reddit]', array(
			'default'           => invico_get_option( 'sociable-reddit' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-reddit]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Reddit', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Reddit', 'invico' ),
				),
			)
		)
	);

/**
 * Option : RSS
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-rss]', array(
			'default'           => invico_get_option( 'sociable-rss' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-rss]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'RSS', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'RSS', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Skype
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-skype]', array(
			'default'           => invico_get_option( 'sociable-skype' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-skype]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Skype', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Skype', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Stumbleupon
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-stumbleupon]', array(
			'default'           => invico_get_option( 'sociable-stumbleupon' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-stumbleupon]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Stumbleupon', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Stumbleupon', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Tumblr
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-tumblr]', array(
			'default'           => invico_get_option( 'sociable-tumblr' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-tumblr]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Tumblr', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Tumblr', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Twitter
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-twitter]', array(
			'default'           => invico_get_option( 'sociable-twitter' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-twitter]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Twitter', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Twitter', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Viadeo
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-viadeo]', array(
			'default'           => invico_get_option( 'sociable-viadeo' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-viadeo]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Viadeo', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Viadeo', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Vimeo
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-vimeo]', array(
			'default'           => invico_get_option( 'sociable-vimeo' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-vimeo]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Vimeo', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Vimeo', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Yahoo
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-yahoo]', array(
			'default'           => invico_get_option( 'sociable-yahoo' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-yahoo]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Yahoo', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Yahoo', 'invico' ),
				),
			)
		)
	);

/**
 * Option : Youtube
 */
	$wp_customize->add_setting(
		Invico_Settings . '[sociable-youtube]', array(
			'default'           => invico_get_option( 'sociable-youtube' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[sociable-youtube]', array(
				'type'    	  => 'text',
				'section'     => 'site-sociable-main-section',
//				'label'       => esc_html__( 'Youtube', 'invico' ),
				'input_attrs' => array(
					'placeholder' => esc_html__( 'Youtube', 'invico' ),
				),
			)
		)
	);