<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Default Settings
 */
$wp_customize->add_section( 
	new INVICO_WP_Customize_Section(
		$wp_customize,
		'woocommerce-product-single-page-default-section',
		array(
			'title'    => esc_html__('Default Settings', 'invico'),
			'panel'    => 'woocommerce-product-single-page-section',
			'priority' => 25,
		)
	)
);
	
	/**
	 * Option : Product Template
	 */
	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-default-template]', array(
			'default'           => invico_get_option( 'dt-single-product-default-template' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		Invico_Settings . '[dt-single-product-default-template]', array(
			'type'     => 'select',
			'label'    => esc_html__( 'Product Template', 'invico'),
			'section'  => 'woocommerce-product-single-page-default-section',
			'choices'  => apply_filters( 'invico_shop_page_widgetareas', array(
							'woo-default'     => esc_html__( 'WooCommerce Default', 'invico' ),
							'custom-template' => esc_html__( 'Custom Template', 'invico' )
						) )
		)
	);

	/**
	* Option : Enable Sale Countdown Timer
	*/
	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-sale-countdown-timer]', array(
			'default'           => invico_get_option( 'dt-single-product-sale-countdown-timer' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-single-product-sale-countdown-timer]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Sale Countdown Timer', 'invico'),
				'section' => 'woocommerce-product-single-page-default-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

	/**
	* Option : Enable Size Guide Button
	*/
	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-enable-size-guide]', array(
			'default'           => invico_get_option( 'dt-single-product-enable-size-guide' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-single-product-enable-size-guide]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Size Guide Button', 'invico'),
				'section' => 'woocommerce-product-single-page-default-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

	/**
	* Option : Enable Ajax Add To Cart
	*/
	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-enable-ajax-addtocart]', array(
			'default'           => invico_get_option( 'dt-single-product-enable-ajax-addtocart' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-single-product-enable-ajax-addtocart]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Ajax Add To Cart', 'invico'),
				'section' => 'woocommerce-product-single-page-default-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

	/**
	* Option : Enable Breadcrumb
	*/
	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-enable-breadcrumb]', array(
			'default'           => invico_get_option( 'dt-single-product-enable-breadcrumb' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-single-product-enable-breadcrumb]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Breadcrumb', 'invico'),
				'section' => 'woocommerce-product-single-page-default-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

	/**
	* Option : Sticky Add to Cart
	*/
	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-addtocart-sticky]', array(
			'default'           => invico_get_option( 'dt-single-product-addtocart-sticky' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-single-product-addtocart-sticky]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Sticky Add to Cart', 'invico'),
				'section' => 'woocommerce-product-single-page-default-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

	/**
	* Option : Show Product 360 Viewer
	*/
	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-show-360-viewer]', array(
			'default'           => invico_get_option( 'dt-single-product-show-360-viewer' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-single-product-show-360-viewer]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Product 360 Viewer', 'invico'),
				'section' => 'woocommerce-product-single-page-default-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'description'   => esc_html__('This option is applicable only for "WooCommerce Default" single page.', 'invico'),
			)
		)
	);