<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Sociable Follow Settings
 */
$wp_customize->add_section( 
	new INVICO_WP_Customize_Section(
		$wp_customize,
		'woocommerce-product-single-page-sociables-follow-section',
		array(
			'title'    => esc_html__('Sociable Follow Settings', 'invico'),
			'panel'    => 'woocommerce-product-single-page-section',
			'priority' => 45,
		)
	)
);
	
	/**
	* Option : Follow Description
	*/
	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-show-follow-description]', array(
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-single-product-show-follow-description]', array(
				'type'    => 'dt-description',
				'label'   => esc_html__( 'Note :', 'invico'),
				'section' => 'woocommerce-product-single-page-sociables-follow-section',
				'description'   => esc_html__( 'This option is applicable only for WooCommerce "Custom Template".', 'invico'),
			)
		)
	);

$social_follow = array (
	'delicious' 	 => esc_html__('Delicious', 'invico'),
	'deviantart'  => esc_html__('Deviantart', 'invico'),
	'digg' 	  	   => esc_html__('Digg', 'invico'),
	'dribbble' 	  => esc_html__('Dribbble', 'invico'),
	'envelope' 	  => esc_html__('Envelope', 'invico'),
	'facebook' 	  => esc_html__('Facebook', 'invico'),
	'flickr' 		   => esc_html__('Flickr', 'invico'),
	'google-plus' => esc_html__('Google Plus', 'invico'),
	'gtalk'  		   => esc_html__('GTalk', 'invico'),
	'instagram'	  => esc_html__('Instagram', 'invico'),
	'lastfm'	 	   => esc_html__('Lastfm', 'invico'),
	'linkedin'	   => esc_html__('Linkedin', 'invico'),
	'pinterest'	  => esc_html__('Pinterest', 'invico'),
	'reddit'		    => esc_html__('Reddit', 'invico'),
	'rss'		 	     => esc_html__('RSS', 'invico'),
	'skype'		     => esc_html__('Skype', 'invico'),
	'stumbleupon' => esc_html__('Stumbleupon', 'invico'),
	'tumblr'		    => esc_html__('Tumblr', 'invico'),
	'twitter'		   => esc_html__('Twitter', 'invico'),
	'viadeo'		    => esc_html__('Viadeo', 'invico'),
	'vimeo'		     => esc_html__('Vimeo', 'invico'),
	'yahoo'		     => esc_html__('Yahoo', 'invico'),
	'youtube'		   => esc_html__('Youtube', 'invico')
);

foreach($social_follow as $socialfollow_key => $socialfollow) {

	$wp_customize->add_setting(
		Invico_Settings . '[dt-single-product-show-follow-'.$socialfollow_key.']', array(
			'default'           => invico_get_option( 'dt-single-product-show-follow-'.$socialfollow_key ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-single-product-show-follow-'.$socialfollow_key.']', array(
				'type'    => 'dt-switch',
				'label'   => sprintf(esc_html__('Show %1$s Follow', 'invico'), $socialfollow),
				'section' => 'woocommerce-product-single-page-sociables-follow-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);

}