<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


/**
 * Option : Page Layout
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-layout]', array(
			'default'           => invico_get_option( 'shop-page-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Radio_Image(
			$wp_customize, Invico_Settings . '[shop-page-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Layout', 'invico'),
				'section'  => 'woocommerce-shop-page-section',
				'choices'  => apply_filters( 'invico_shop_page_layout_options', array(
					'content-full-width'  => array( 'label' => esc_html__( 'Without Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/without-sidebar.png' ),
					'with-left-sidebar' => array( 'label' => esc_html__( 'Left Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/left-sidebar.png' ),
					'with-right-sidebar' => array( 'label' => esc_html__( 'Right Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/right-sidebar.png' ),
				) )
			)
		)
	);

/**
 * Option : Show Standard Sidebar
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-show-standard-sidebar]', array(
			'default'           => invico_get_option( 'shop-page-show-standard-sidebar' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[shop-page-show-standard-sidebar]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Standard Sidebar', 'invico'),
				'section' => 'woocommerce-shop-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array( 'shop-page-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
			)
		)
	);

/**
 * Option : Widget Areas
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-widgetareas]', array(
			'default'           => invico_get_option( 'shop-page-widgetareas' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		Invico_Settings . '[shop-page-widgetareas]', array(
			'type'     => 'select',
			'label'    => esc_html__( 'Choose Custom Widget Area', 'invico'),
			'section'  => 'woocommerce-shop-page-section',
			'choices'  => apply_filters( 'invico_shop_page_widgetareas', invico_customizer_custom_widgets() ),
			'dependency' => array( 'shop-page-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
		)
	);

/**
 * Option : Products Per Page
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-product-per-page]', array(
			'default'           => invico_get_option( 'shop-page-product-per-page' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_number_n_blank' ),
		)
	);

	$wp_customize->add_control(
		Invico_Settings . '[shop-page-product-per-page]', array(
			'type'       => 'number',
			'section'    => 'woocommerce-shop-page-section',
			'label'      => esc_html__( 'Products Per Page', 'invico' )
		)
	);


/**
 * Option : Product Layout
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-product-layout]', array(
			'default'           => invico_get_option( 'shop-page-product-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Radio_Image(
			$wp_customize, Invico_Settings . '[shop-page-product-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Product Layout', 'invico'),
				'section'  => 'woocommerce-shop-page-section',
				'choices'  => apply_filters( 'invico_shop_product_layout_options', array(
					1  => array( 'label' => esc_html__( 'One Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/one-column.png' ),
					2 => array( 'label' => esc_html__( 'One Half Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/one-half-column.png' ),
					3 => array( 'label' => esc_html__( 'One Third Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/one-third-column.png' ),
					4 => array( 'label' => esc_html__( 'One Fourth Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/one-fourth-column.png' ),
				) )
			)
		)
	);


/**
 * Option : Product Style Template
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-product-style-template]', array(
			'default'           => invico_get_option( 'shop-page-product-style-template' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control(
			$wp_customize, Invico_Settings . '[shop-page-product-style-template]', array(
				'type'     => 'select',
				'label'    => esc_html__( 'Product Style Template', 'invico'),
				'section'  => 'woocommerce-shop-page-section',
				'choices'  => apply_filters( 'invico_shop_product_templates', invico_customizer_shop_product_templates() )
			)
		)
	);


/**
 * Option : Enable Breadcrumb
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-enable-breadcrumb]', array(
			'default'           => invico_get_option( 'shop-page-enable-breadcrumb' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[shop-page-enable-breadcrumb]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Breadcrumb', 'invico'),
				'section' => 'woocommerce-shop-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);


/**
 * Option : Bottom Hook
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-bottom-hook]', array(
			'default'           => invico_get_option( 'shop-page-bottom-hook' ),
			'type'              => 'option',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
		)
	);

	$wp_customize->add_control(
		Invico_Settings . '[shop-page-bottom-hook]', array(
			'type'    => 'textarea',
			'label'   => esc_html__( 'Bottom Hook', 'invico'),
			'section' => 'woocommerce-shop-page-section'
		)
	);


/**
 * Divider : Separator
 */
	$wp_customize->add_control(
		new INVICO_Customize_Control_Separator(
			$wp_customize, Invico_Settings . '[shop-page-separator1]', array(
				'type'     => 'dt-separator',
				'section'  => 'woocommerce-shop-page-section',
				'settings' => array()
			)
		)
	);


/**
 * Option : Show Sorter On Header
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-show-sorter-on-header]', array(
			'default'           => invico_get_option( 'shop-page-show-sorter-on-header' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[shop-page-show-sorter-on-header]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Sorter On Header', 'invico'),
				'section' => 'woocommerce-shop-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);


/**
 * Option : Sorter Header Elements
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-sorter-header-elements]', array(
			'default'           => invico_get_option( 'shop-page-sorter-header-elements' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_multi_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Sortable(
			$wp_customize, Invico_Settings . '[shop-page-sorter-header-elements]', array(
				'type'     => 'dt-sortable',
				'section'  => 'woocommerce-shop-page-section',
				'label'    => esc_html__( 'Sorter Header Elements', 'invico' ),
				'choices'  => array(
					'filter'               => esc_html__( 'Filter', 'invico' ),
					'result_count'         => esc_html__( 'Result Count', 'invico' ),
					'pagination'           => esc_html__( 'Pagination', 'invico' ),
					'display_mode'         => esc_html__( 'Display Mode', 'invico' ),
					'display_mode_options' => esc_html__( 'Display Mode Options', 'invico' ),
				)
			)
		)
	);


/**
 * Option : Show Sorter On Footer
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-show-sorter-on-footer]', array(
			'default'           => invico_get_option( 'shop-page-show-sorter-on-footer' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[shop-page-show-sorter-on-footer]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Sorter On Footer', 'invico'),
				'section' => 'woocommerce-shop-page-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);


/**
 * Option : Sorter Footer Elements
 */
	$wp_customize->add_setting(
		Invico_Settings . '[shop-page-sorter-footer-elements]', array(
			'default'           => invico_get_option( 'shop-page-sorter-footer-elements' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_multi_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Sortable(
			$wp_customize, Invico_Settings . '[shop-page-sorter-footer-elements]', array(
				'type'     => 'dt-sortable',
				'section'  => 'woocommerce-shop-page-section',
				'label'    => esc_html__( 'Sorter Footer Elements', 'invico' ),
				'choices'  => array(
					'filter'               => esc_html__( 'Filter', 'invico' ),
					'result_count'         => esc_html__( 'Result Count', 'invico' ),
					'pagination'           => esc_html__( 'Pagination', 'invico' ),
					'display_mode'         => esc_html__( 'Display Mode', 'invico' ),
					'display_mode_options' => esc_html__( 'Display Mode Options', 'invico' ),
				)
			)
		)
	);