<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Page Layout
 */
	$wp_customize->add_setting(
		Invico_Settings . '[dt-woo-tag-archive-layout]', array(
			'default'           => invico_get_option( 'dt-woo-tag-archive-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Radio_Image(
			$wp_customize, Invico_Settings . '[dt-woo-tag-archive-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Layout', 'invico'),
				'section'  => 'woocommerce-tag-archive-section',
				'choices'  => apply_filters( 'invico_tag_archive_layout_options', array(
					'content-full-width'  => array( 'label' => esc_html__( 'Without Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/without-sidebar.png' ),
					'with-left-sidebar' => array( 'label' => esc_html__( 'Left Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/left-sidebar.png' ),
					'with-right-sidebar' => array( 'label' => esc_html__( 'Right Sidebar', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/right-sidebar.png' ),
				) )
			)
		)
	);

/**
 * Option : Show Standard Sidebar
 */
	$wp_customize->add_setting(
		Invico_Settings . '[dt-woo-tag-archive-show-standard-sidebar]', array(
			'default'           => invico_get_option( 'dt-woo-tag-archive-show-standard-sidebar' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-woo-tag-archive-show-standard-sidebar]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Show Standard Sidebar', 'invico'),
				'section' => 'woocommerce-tag-archive-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				),
				'dependency' => array( 'dt-woo-tag-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
			)
		)
	);

/**
 * Option : Widget Areas
 */
	$wp_customize->add_setting(
		Invico_Settings . '[dt-woo-tag-archive-widgetareas]', array(
			'default'           => invico_get_option( 'dt-woo-tag-archive-widgetareas' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		Invico_Settings . '[dt-woo-tag-archive-widgetareas]', array(
			'type'     => 'select',
			'label'    => esc_html__( 'Choose Custom Widget Area', 'invico'),
			'section'  => 'woocommerce-tag-archive-section',
			'choices'  => apply_filters( 'invico_tag_archive_widgetareas', invico_customizer_custom_widgets() ),
			'dependency' => array( 'dt-woo-tag-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
		)
	);

/**
 * Option : Products Per Page
 */
	$wp_customize->add_setting(
		Invico_Settings . '[dt-woo-tag-archive-product-per-page]', array(
			'default'           => invico_get_option( 'dt-woo-tag-archive-product-per-page' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_number_n_blank' ),
		)
	);

	$wp_customize->add_control(
		Invico_Settings . '[dt-woo-tag-archive-product-per-page]', array(
			'type'       => 'number',
			'section'    => 'woocommerce-tag-archive-section',
			'label'      => esc_html__( 'Products Per Page', 'invico' )
		)
	);


/**
 * Option : Product Layout
 */
	$wp_customize->add_setting(
		Invico_Settings . '[dt-woo-tag-archive-product-layout]', array(
			'default'           => invico_get_option( 'dt-woo-tag-archive-product-layout' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Radio_Image(
			$wp_customize, Invico_Settings . '[dt-woo-tag-archive-product-layout]', array(
				'type'     => 'dt-radio-image',
				'label'    => esc_html__( 'Product Layout', 'invico'),
				'section'  => 'woocommerce-tag-archive-section',
				'choices'  => apply_filters( 'invico_tag_archive_product_layout_options', array(
					1  => array( 'label' => esc_html__( 'One Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/one-column.png' ),
					2 => array( 'label' => esc_html__( 'One Half Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/one-half-column.png' ),
					3 => array( 'label' => esc_html__( 'One Third Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/one-third-column.png' ),
					4 => array( 'label' => esc_html__( 'One Fourth Column', 'invico' ), 'path' => Invico_Uri . '/inc/customizer/assets/images/woocommerce/one-fourth-column.png' ),
				) )
			)
		)
	);

/**
 * Option : Product Style Template
 */
$wp_customize->add_setting(
	Invico_Settings . '[dt-woo-tag-product-style-template]', array(
		'default'           => invico_get_option( 'dt-woo-tag-product-style-template' ),
		'type'              => 'option',
		'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_choices' ),
	)
);

$wp_customize->add_control(
	new INVICO_Customize_Control(
		$wp_customize, Invico_Settings . '[dt-woo-tag-product-style-template]', array(
			'type'     => 'select',
			'label'    => esc_html__( 'Product Style Template', 'invico'),
			'section'  => 'woocommerce-tag-archive-section',
			'choices'  => apply_filters( 'invico_shop_product_templates', invico_customizer_shop_product_templates() )
		)
	)
);

/**
 * Option : Enable Breadcrumb
 */
	$wp_customize->add_setting(
		Invico_Settings . '[dt-woo-tag-archive-enable-breadcrumb]', array(
			'default'           => invico_get_option( 'dt-woo-tag-archive-enable-breadcrumb' ),
			'type'              => 'option',
			'sanitize_callback' => array( 'INVICO_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new INVICO_Customize_Control_Switch(
			$wp_customize, Invico_Settings . '[dt-woo-tag-archive-enable-breadcrumb]', array(
				'type'    => 'dt-switch',
				'label'   => esc_html__( 'Enable Breadcrumb', 'invico'),
				'section' => 'woocommerce-tag-archive-section',
				'choices' => array(
					'on'  => esc_attr__( 'Yes', 'invico' ),
					'off' => esc_attr__( 'No', 'invico' )
				)
			)
		)
	);