<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// -----------------------------------------
// Detect plugin...
// -----------------------------------------
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

// -----------------------------------------
// Layer Sliders
// -----------------------------------------
function dtm_framework_layersliders() {
  $layerslider = array(  esc_html__('Select a slider','invico') );

  if( class_exists('LS_Sliders') ) {

    $sliders = LS_Sliders::find(array('limit' => 50));

    if(!empty($sliders)) {
      foreach($sliders as $key => $item){
        $layerslider[ $item['id'] ] = $item['name'];
      }
    }
  }

  return $layerslider;
}

// -----------------------------------------
// Revolution Sliders
// -----------------------------------------
function dtm_framework_revolutionsliders() {
  $revolutionslider = array( '' => esc_html__('Select a slider','invico') );

  if( class_exists('RevSlider') ) {
    $sld = new RevSlider();
    $sliders = $sld->getArrSliders();
    if(!empty($sliders)){
      foreach($sliders as $key => $item) {
        $revolutionslider[$item->getAlias()] = $item->getTitle();
      }
    }
  }

  return $revolutionslider;  
}

// -----------------------------------------
// Meta Layout Section
// -----------------------------------------

$cart_page_id = get_option('woocommerce_cart_page_id');
$checkout_page_id = get_option('woocommerce_checkout_page_id');
$myaccount_page_id = get_option('woocommerce_myaccount_page_id');
$wishlist_page_id = get_option( 'yith_wcwl_wishlist_page_id' );

if( isset( $_GET['post'] ) && ( $_GET['post'] == $cart_page_id || $_GET['post'] == $checkout_page_id || $_GET['post'] == $myaccount_page_id || $_GET['post'] == $wishlist_page_id ) ) {	

  $page_layout_options = array(
      'global-site-layout' 	 => DTM_URL . 'images/admin-option.png',
      'content-full-width'   => DTM_URL . 'images/without-sidebar.png',
      'with-left-sidebar'    => DTM_URL . 'images/left-sidebar.png',
      'with-right-sidebar'   => DTM_URL . 'images/right-sidebar.png',
  );

} else {

  $page_layout_options = array(
    'global-site-layout' 	 => DTM_URL . 'images/admin-option.png',
    'content-full-width'   => DTM_URL . 'images/without-sidebar.png',
    'with-left-sidebar'    => DTM_URL . 'images/left-sidebar.png',
    'with-right-sidebar'   => DTM_URL . 'images/right-sidebar.png',
    'with-both-sidebar'    => DTM_URL . 'images/both-sidebar.png',
  );

}

$meta_layout_section =array(
  'name'  => 'layout_section',
  'title' => esc_html__('Layout', 'invico'),
  'icon'  => 'fa fa-columns',
  'fields' =>  array(
    array(
      'id'  => 'layout',
      'type' => 'image_select',
      'title' => esc_html__('Page Layout', 'invico' ),
      'options'      => $page_layout_options,
      'default'      => 'global-site-layout',
      'attributes'   => array( 'data-depend-id' => 'page-layout' )
    ),
    array(
      'id'        => 'show-standard-sidebar-left',
      'type'      => 'switcher',
      'title'     => esc_html__('Show Standard Left Sidebar', 'invico' ),
      'dependency'=> array( 'page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
	  'default'	  => true,
    ),
    array(
      'id'        => 'widget-area-left',
      'type'      => 'select',
      'title'     => esc_html__('Choose Left Widget Areas', 'invico' ),
      'class'     => 'chosen',
      'options'   => invico_customizer_custom_widgets(),
      'attributes'  => array( 
        'multiple'  => 'multiple',
        'data-placeholder' => esc_html__('Select Left Widget Areas','invico'),
        'style' => 'width: 400px;'
      ),
      'dependency'  => array( 'page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
    ),
    array(
      'id'          => 'show-standard-sidebar-right',
      'type'        => 'switcher',
      'title'       => esc_html__('Show Standard Right Sidebar', 'invico' ),
      'dependency'  => array( 'page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
	  'default'	  	=> true,
    ),
    array(
      'id'        => 'widget-area-right',
      'type'      => 'select',
      'title'     => esc_html__('Choose Right Widget Areas', 'invico' ),
      'class'     => 'chosen',
      'options'   => invico_customizer_custom_widgets(),
      'attributes'    => array( 
        'multiple' => 'multiple',
        'data-placeholder' => esc_html__('Select Right Widget Areas','invico'),
        'style' => 'width: 400px;'
      ),
      'dependency'  => array( 'page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
    )
  )
);

// -----------------------------------------
// Meta Breadcrumb Section
// -----------------------------------------
$meta_breadcrumb_section = array(
  'name'  => 'breadcrumb_section',
  'title' => esc_html__('Breadcrumb', 'invico'),
  'icon'  => 'fa fa-sitemap',
  'fields' =>  array(

    array(
      'id'  => 'breadcrumb-option',
      'type' => 'image_select',
      'title' => esc_html__('Breadcrumb Option', 'invico' ),
      'options'      => array(
        'global-option'   => DTM_URL . 'images/admin-option.png',
		    'individual-option' => DTM_URL . 'images/individual-option.png',
      ),
      'default'      => 'global-option',
      'attributes'   => array( 'data-depend-id' => 'breadcrumb-option' )
    ),

    array(
      'id'         => 'enable-sub-title',
      'type'       => 'switcher',
      'title'      => esc_html__('Show Breadcrumb', 'invico' ),
      'default'    => true,
      'dependency' => array( 'breadcrumb-option', 'any', 'individual-option' ),
    ),
    array(
    	'id'                 => 'breadcrumb_position',
	    'type'               => 'select',
      'title'              => esc_html__('Position', 'invico' ),
      'options'            => array(
        'header-top-absolute' => esc_html__('Behind the Header','invico'),
        'header-top-relative' => esc_html__('Default','invico'),
	  	),
		  'default'            => 'header-top-relative',	
      'dependency'         => array( 'enable-sub-title|breadcrumb-option', '==|any', 'true|individual-option' ),
    ),    
    array(
      'id'         => 'breadcrumb_background',
      'type'       => 'background',
      'title'      => esc_html__('Background', 'invico' ),
      'dependency' => array( 'enable-sub-title|breadcrumb-option', '==|any', 'true|individual-option' ),
    )
    
  )
);

// -----------------------------------------
// Meta Slider Section
// -----------------------------------------
$meta_slider_section = array(
  'name'  => 'slider_section',
  'title' => esc_html__('Slider', 'invico'),
  'icon'  => 'fa fa-slideshare',
  'fields' =>  array(
    array(
      'id'           => 'slider-notice',
      'type'         => 'notice',
      'class'        => 'danger',
      'content'      => esc_html__('Slider tab works only if breadcrumb disabled.','invico'),
      'class'        => 'margin-30 cs-danger'
    ),

    array(
      'id'           => 'show_slider',
      'type'         => 'switcher',
      'title'        => esc_html__('Show Slider', 'invico' ),
    ),
    array(
    	'id'                 => 'slider_position',
      'type'               => 'select',
      'title'              => esc_html__('Position', 'invico' ),
      'options'            => array(
        'header-top-relative'     => esc_html__('Top Header Relative','invico'),
        'header-top-absolute'    => esc_html__('Top Header Absolute','invico'),
        'bottom-header' 	   => esc_html__('Bottom Header','invico'),
      ),
      'default'            => 'bottom-header',
      'dependency'         => array( 'show_slider', '==', 'true' ),
   ),
   array(
      'id'                 => 'slider_type',
      'type'               => 'select',
      'title'              => esc_html__('Slider', 'invico' ),
      'options'            => array(
        ''                 => esc_html__('Select a slider','invico'),
        'layerslider'      => esc_html__('Layer slider','invico'),
        'revolutionslider' => esc_html__('Revolution slider','invico'),
        'customslider'     => esc_html__('Custom Slider Shortcode','invico'),
      ),
      'validate' => 'required',
      'dependency'         => array( 'show_slider', '==', 'true' ),
    ),

    array(
      'id'          => 'layerslider_id',
      'type'        => 'select',
      'title'       => esc_html__('Layer Slider', 'invico' ),
      'options'     => dtm_framework_layersliders(),
      'validate'    => 'required',
      'dependency'         => array( 'show_slider|slider_type', '==|==', 'true|layerslider' ),
    ),

    array(
      'id'          => 'revolutionslider_id',
      'type'        => 'select',
      'title'       => esc_html__('Revolution Slider', 'invico' ),
      'options'     => dtm_framework_revolutionsliders(),
      'validate'    => 'required',
      'dependency'         => array( 'show_slider|slider_type', '==|==', 'true|revolutionslider' ),
    ),

    array(
      'id'          => 'customslider_sc',
      'type'        => 'textarea',
      'title'       => esc_html__('Custom Slider Code', 'invico' ),
      'validate'    => 'required',
      'dependency'         => array( 'show_slider|slider_type', '==|==', 'true|customslider' ),
    ),
  )  
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// METABOX OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options = array();

// -----------------------------------------
// Page Metabox Options                    -
// -----------------------------------------
array_push( $meta_layout_section['fields'], array(
  'id'        => 'enable-sticky-sidebar',
  'type'      => 'switcher',
  'title'     => esc_html__('Enable Sticky Sidebar', 'invico' ),
  'dependency'  => array( 'page-layout', 'any', 'with-left-sidebar,with-right-sidebar,with-both-sidebar' )
) );

$page_settings = array(
  $meta_layout_section,
  $meta_breadcrumb_section,
  $meta_slider_section,
  array(
    'name'   => 'sidenav_template_section',
    'title'  => esc_html__('Side Navigation Template', 'invico'),
    'icon'   => 'fa fa-th-list',
    'fields' =>  array(
      array(
        'id'      => 'sidenav-tpl-notice',
        'type'    => 'notice',
        'class'   => 'success',
        'content' => esc_html__('Side Navigation Tab Works only if page template set to Side Navigation Template in Page Attributes','invico'),
        'class'   => 'margin-30 cs-success',      
      ),
      array(
        'id'      => 'sidenav-style',
        'type'    => 'select',
        'title'   => esc_html__('Side Navigation Style', 'invico' ),
        'options' => array(
          'type1'  => esc_html__('Type1','invico'),
          'type2'  => esc_html__('Type2','invico'),
          'type3'  => esc_html__('Type3','invico'),
          'type4'  => esc_html__('Type4','invico'),
          'type5'  => esc_html__('Type5','invico')
        ),
      ),
      array(
        'id'    => 'sidenav-align',
        'type'  => 'switcher',
        'title' => esc_html__('Align Right', 'invico' ),
        'info'  => esc_html__('YES! to align right of side navigation.','invico')
      ),
      array(
        'id'    => 'sidenav-sticky',
        'type'  => 'switcher',
        'title' => esc_html__('Sticky Side Navigation', 'invico' ),
        'info'  => esc_html__('YES! to sticky side navigation content.','invico')
      ),
      array(
        'id'    => 'enable-sidenav-content',
        'type'  => 'switcher',
        'title' => esc_html__('Show Content', 'invico' ),
        'info'  => esc_html__('YES! to show content in below side navigation.','invico')
      ),
      array(
        'id'      => 'sidenav-content',
        'type'    => 'select',
        'title'   => esc_html__('Side Navigation Content', 'invico' ),
        'info'    => esc_html__('Select any section here.','invico'),
		'options' => invico_get_elementor_page_list(),
		'default' => '0'
      ),
    )
  ),
);

$shop_page_id = get_option('woocommerce_shop_page_id');

if( isset( $_GET['post'] ) && ( $_GET['post'] != $shop_page_id ) || !isset( $_GET['post'] )  ) {	
  $options[] = array(
    'id'        => '_tpl_default_settings',
    'title'     => esc_html__('Page Settings','invico'),
    'post_type' => 'page',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => $page_settings
  );

}

// -----------------------------------------
// Post Metabox Options                    -
// -----------------------------------------
$post_meta_layout_section = $meta_layout_section;
$fields = $post_meta_layout_section['fields'];

	$fields[0]['title'] =  esc_html__('Post Layout', 'invico' );
	unset( $fields[5] );
	unset( $post_meta_layout_section['fields'] );
	$post_meta_layout_section['fields']  = $fields;  

	$post_format_section = array(
		'name'  => 'post_format_data_section',
		'title' => esc_html__('Post Format', 'invico'),
		'icon'  => 'fa fa-cog',
		'fields' =>  array(

			array(
				'id'           => 'single-post-style',
				'type'         => 'select',
				'title'        => esc_html__('Post Style', 'invico'),
				'options'      => array(
				  'breadcrumb-fixed'    => esc_html__('Breadcrumb Fixed', 'invico'),
				  'breadcrumb-parallax' => esc_html__('Breadcrumb Parallax', 'invico'),
				  'overlay'				         => esc_html__('Overlay', 'invico'),
				  'overlap' 		          => esc_html__('Overlap', 'invico'),
				  'custom' 		    	      => esc_html__('Custom', 'invico')
				),
				'class'        => 'chosen',
				'default'      => 'breadcrumb-fixed',
				'attributes'   => array(
				  'style'    => 'width: 50%;'
				),
				'info'         => esc_html__('Choose post style to display single post. If post style is "Custom", display based on Editor content.', 'invico')
			),

			array(
				'id'           => 'single-custom-style',
				'type'         => 'select',
				'title'        => esc_html__('Custom Style', 'invico'),
				'options'      => array(
				  'minimal'     => esc_html__('Minimal', 'invico'),
				  'classic' 	=> esc_html__('Classic', 'invico'),
				  'modern'		=> esc_html__('Modern', 'invico'),
				),
				'class'        => 'chosen',
				'default'      => 'minimal',
				'info'         => esc_html__('Select type of custom style.', 'invico'),
				'dependency'   => array( 'single-post-style', '==', 'custom' ),
			),

			array(
			    'id'           => 'view_count',
			    'type'         => 'number',
			    'title'        => esc_html__('Views', 'invico' ),
				'info'         => esc_html__('No.of views of this post.', 'invico'),
	          	'attributes' => array(
		           'style'    => 'width: 15%;'
        	    ),
			),

			array(
			    'id'           => 'like_count',
			    'type'         => 'number',
			    'title'        => esc_html__('Likes', 'invico' ),
				'info'         => esc_html__('No.of likes of this post.', 'invico'),
	          	'attributes' => array(
		           'style'    => 'width: 15%;'
        	    ),
			),

			array(
				'id' => 'post-format-type',
				'title'   => esc_html__('Type', 'invico' ),
				'type' => 'select',
				'default' => 'standard',
				'options' => array(
					'standard'  => esc_html__('Standard', 'invico'),
					'status'	=> esc_html__('Status','invico'),
					'quote'		=> esc_html__('Quote','invico'),
					'gallery'	=> esc_html__('Gallery','invico'),
					'image'		=> esc_html__('Image','invico'),
					'video'		=> esc_html__('Video','invico'),
					'audio'		=> esc_html__('Audio','invico'),
					'link'		=> esc_html__('Link','invico'),
					'aside'		=> esc_html__('Aside','invico'),
					'chat'		=> esc_html__('Chat','invico')
				),
				'info'         => esc_html__('Post Format & Type should be Same. Check the Post Format from the "Format" Tab, which comes in the Right Side Section', 'invico'),
			),

			array(
				'id' 	  => 'post-gallery-items',
				'type'	  => 'gallery',
				'title'   => esc_html__('Add Images', 'invico' ),
				'add_title'   => esc_html__('Add Images', 'invico' ),
				'edit_title'  => esc_html__('Edit Images', 'invico' ),
				'clear_title' => esc_html__('Remove Images', 'invico' ),
				'dependency' => array( 'post-format-type', '==', 'gallery' ),
			),

			array(
				'id' 	  => 'media-type',
				'type'	  => 'select',
				'title'   => esc_html__('Select Type', 'invico' ),
				'dependency' => array( 'post-format-type', 'any', 'video,audio' ),
		      	'options'	=> array(
					'oembed' => esc_html__('Oembed','invico'),
					'self' => esc_html__('Self Hosted','invico'),
				)
			),

			array(
				'id' 	  => 'media-url',
				'type'	  => 'textarea',
				'title'   => esc_html__('Media URL', 'invico' ),
				'dependency' => array( 'post-format-type', 'any', 'video,audio' ),
			),
		)
	);

	$options[] = array(
		'id'        => '_dt_post_settings',
		'title'     => esc_html__('Post Settings','invico'),
		'post_type' => 'post',
		'context'   => 'normal',
		'priority'  => 'high',
		'sections'  => array(
			$post_meta_layout_section,
			$meta_breadcrumb_section,
			$post_format_section			
		)
	);

// -----------------------------------------
// Tribe Events Post Metabox Options
// -----------------------------------------
  array_push( $post_meta_layout_section['fields'], array(
    'id' => 'event-post-style',
    'title'   => esc_html__('Post Style', 'invico' ),
    'type' => 'select',
    'default' => 'type1',
    'options' => array(
      'type1'  => esc_html__('Classic', 'invico'),
      'type2'  => esc_html__('Full Width','invico'),
      'type3'  => esc_html__('Minimal Tab','invico'),
      'type4'  => esc_html__('Clean','invico'),
      'type5'  => esc_html__('Modern','invico'),
    ),
	'class'    => 'chosen',
	'info'     => esc_html__('Your event post page show at most selected style.', 'invico')
  ) );

  $options[] = array(
    'id'        => '_custom_settings',
    'title'     => esc_html__('Settings','invico'),
    'post_type' => 'tribe_events',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => array(
      $post_meta_layout_section,
      $meta_breadcrumb_section
    )
  );


// -----------------------------------------
// Shop Single Product Options Metabox
// -----------------------------------------

if( function_exists( 'is_woocommerce' ) ) {

  require_once( Invico_Dir .'/inc/metabox/dtm-framework-override/config/shop-single-product.php' );

  $shop_single_product_options = invico_shop_single_product();
  $options = array_merge($shop_single_product_options, $options);  

}

// -----------------------------------------
// Shop Product Template Options Metabox
// -----------------------------------------

if( function_exists( 'is_woocommerce' ) ) {

  require_once( Invico_Dir .'/inc/metabox/dtm-framework-override/config/shop-product-template.php' );

  $shop_product_template_options = invico_shop_product_template();
  $options = array_merge($shop_product_template_options, $options);

}

// -----------------------------------------
// Header And Footer Options Metabox
// -----------------------------------------
$post_types = apply_filters( 'invico_header_footer_default_cpt' , array ( 'post', 'page', 'product' )  );
$options[] = array(
	'id'	=> '_dt_custom_settings',
	'title'	=> esc_html__('Header & Footer','invico'),
	'post_type' => $post_types,
	'priority'  => 'high',
	'context'   => 'side', 
	'sections'  => array(

		# Header Settings
		array(
			'name'  => 'header_section',
			'title' => esc_html__('Header', 'invico'),
			'icon'  => 'fa fa-angle-double-right',
			'fields' =>  array(

				# Header Show / Hide
				array(
					'id'		=> 'show-header',
					'type'		=> 'switcher',
					'title'		=> esc_html__('Show Header', 'invico'),
					'default'	=>  true,
				),

				# Header
				array(
					'id'  		 => 'header',
					'type'  	 => 'select',
					'title' 	 => esc_html__('Choose Header', 'invico'),
					'class'		 => 'chosen',
					'options'	 => 'posts',
					'query_args' => array(
						'post_type'	 => 'dt_headers',
						'orderby'	 => 'ID',
						'order'		 => 'ASC',
						'posts_per_page' => -1,
					),
					'default_option' => esc_attr__('Select Header', 'invico'),
					'attributes' => array( 'style'	=> 'width:50%' ),
					'info'		 => esc_html__('Select custom header for this page.','invico'),
					'dependency'	=> array( 'show-header', '==', 'true' )
				),							
			)			
		), # Header Settings

		# Footer Settings
		array(
			'name'  => 'footer_settings',
			'title' => esc_html__('Footer', 'invico'),
			'icon'  => 'fa fa-angle-double-right',
			'fields' =>  array(
			
				# Footer Show / Hide
				array(
					'id'		=> 'show-footer',
					'type'		=> 'switcher',
					'title'		=> esc_html__('Show Footer', 'invico'),
					'default'	=>  true,
				),
				
				# Footer
		        array(
					'id'         => 'footer',
					'type'       => 'select',
					'title'      => esc_html__('Choose Footer', 'invico'),
					'class'      => 'chosen',
					'options'    => 'posts',
					'query_args' => array(
						'post_type'  => 'dt_footers',
						'orderby'    => 'ID',
						'order'      => 'ASC',
						'posts_per_page' => -1,
					),
					'default_option' => esc_attr__('Select Footer', 'invico'),
					'attributes' => array( 'style'  => 'width:50%' ),
					'info'       => esc_html__('Select custom footer for this page.','invico'),
					'dependency'    => array( 'show-footer', '==', 'true' )
				),			
			)			
		), # Footer Settings
	)	
);

DTMFramework_Metabox::instance( $options );