// EMI Calculator js
(function ($) {

	var dtEmiCalculatorWidgetHandler = function($scope, $){


        var EmiCalculatorElement = $scope.find('.dt-sc-emicalculator-wrapper').each(function(){

			var currency_code = $(this).data('currency-code');
			if(currency_code == '') { currency_code = 'USD'; }

			var language_code = $(this).data('language-code');
			if(language_code == '') { language_code = 'en'; }

			var country_code = $(this).data('country-code');
			if(country_code == '') { country_code = 'US'; }

			var language_country_code = language_code + '-' + country_code;
	   
			const formatter = new Intl.NumberFormat(language_country_code, {
				style: 'currency',
				currency: currency_code,
				minimumFractionDigits: 2
			});

			var currency_symbol_format = formatter.format('A');
			var currency_symbol = currency_symbol_format.replace('NaN', '');
			$(this).find('.dt-sc-currency-symbol').text('('+currency_symbol+')');

			$('input[type="range"]#loanamount').rangeslider({
				polyfill:false,
				onInit:function(){
					$('.loanamount').val(formatter.format($('input[type="range"]#loanamount').val()));
				},
				onSlide:function(position, value){
					$('.loanamount').val(formatter.format($('input[type="range"]#loanamount').val()));
				},
				onSlideEnd:function(position, value){
					montlyEMIcalculator();
				}
			});	
		   
			$('input[type="range"]#tenturemonths').rangeslider({
				polyfill:false,
				onInit:function(){
					$('.tenturemonths').val($('input[type="range"]#tenturemonths').val());
				},
				onSlide:function(position, value){
					$('.tenturemonths').val($('input[type="range"]#tenturemonths').val());
				},
				onSlideEnd:function(position, value){
					montlyEMIcalculator();
				}
			});	
		   
			$('input[type="range"]#interestrate').rangeslider({
				polyfill:false,
				onInit:function(){
					$('.interestrate').val($('input[type="range"]#interestrate').val());
				},
				onSlide:function(position, value){
					$('.interestrate').val($('input[type="range"]#interestrate').val());
				},
				onSlideEnd:function(position, value){
					montlyEMIcalculator();
				}
			});	



			$(".loanamount").on('blur',function(){
				var currentValue = Number(this.value.replace(/[^0-9.-]+/g,""));
				if(currentValue > 1){
					$('#loanamount').val(currentValue);
					var minValue= isNumeric(Number(jQuery(this).parent('.dt-sc-emicalculator-range-holder').find('.dt-sc-emicalculator-range-min').text().replace(/[^0-9.-]+/g,"")));
					var maxValue= isNumeric(Number(jQuery(this).parent('.dt-sc-emicalculator-range-holder').find('.dt-sc-emicalculator-range-max').text().replace(/[^0-9.-]+/g,"")));
					$('input[type="range"]#loanamount').attr('min',minValue);
					$('input[type="range"]#loanamount').attr('max',maxValue); 
					$('input[type="range"]#loanamount').val(currentValue); 
					$('input[type="range"]#loanamount').rangeslider('update', true);
				}
				
				 montlyEMIcalculator();
			})
			
			$(".tenturemonths").on('blur',function(){
				var currentValue = Number(this.value.replace(/[^0-9.-]+/g,""));
				if(currentValue > 1){
					$('#tenturemonths').val(currentValue);
					var minValue= isNumeric(Number(jQuery(this).parent('.dt-sc-emicalculator-range-holder').find('.dt-sc-emicalculator-range-min').text().replace(/[^0-9.-]+/g,"")));
					var maxValue= isNumeric(Number(jQuery(this).parent('.dt-sc-emicalculator-range-holder').find('.dt-sc-emicalculator-range-max').text().replace(/[^0-9.-]+/g,"")));
					$('input[type="range"]#tenturemonths').attr('min',minValue);
					$('input[type="range"]#tenturemonths').attr('max',maxValue); 
					$('input[type="range"]#tenturemonths').val(currentValue); 
					$('input[type="range"]#tenturemonths').rangeslider('update', true);
				}
				
				 montlyEMIcalculator();
			})
			
			
			$(".interestrate").on('blur',function(){
				var currentValue = Number(this.value.replace(/[^0-9.-]+/g,""));
				if(currentValue > 1){
					$('#interestrate').val(currentValue);
					var minValue= isNumeric(Number(jQuery(this).parent('.dt-sc-emicalculator-range-holder').find('.dt-sc-emicalculator-range-min').text().replace(/[^0-9.-]+/g,"")));
					var maxValue= isNumeric(Number(jQuery(this).parent('.dt-sc-emicalculator-range-holder').find('.dt-sc-emicalculator-range-max').text().replace(/[^0-9.-]+/g,"")));
					$('input[type="range"]#interestrate').attr('min',minValue);
					$('input[type="range"]#interestrate').attr('max',maxValue); 
					$('input[type="range"]#interestrate').val(currentValue); 
					$('input[type="range"]#interestrate').rangeslider('update', true);
				}
				
				 montlyEMIcalculator();
			})

			function montlyEMIcalculator(){

				var principal  			 = isNumeric(Number(jQuery('.loanamount').val().replace(/[^0-9.-]+/g,"")));
				var months 				 = isNumeric(Number(jQuery('.tenturemonths').val().replace(/[^0-9.-]+/g,""))); 
				var monthlyinterest		 = isNumeric(Number(jQuery('.interestrate').val().replace(/[^0-9.-]+/g,"")))/ 12 ; 
				var monthlyPay 			 = principal * monthlyinterest/100 * Math.pow( 1 + monthlyinterest/100,months) / ( Math.pow( 1 + monthlyinterest/100,months) -1 );
				var totalAmountPayable 	 = monthlyPay * months;
				var totalInterestPayable = totalAmountPayable - principal;
	
				monthlyPay = formatter.format(Math.round(monthlyPay));
				monthlyPay = monthlyPay.replace(currency_symbol, '');
				jQuery(".monthly_emi").html('<span>'+currency_symbol+'</span>'+monthlyPay);

				totalInterestPayable = formatter.format(Math.round(totalInterestPayable));
				totalInterestPayable = totalInterestPayable.replace(currency_symbol, '');
				jQuery(".total_interest_payable").html('<span>'+currency_symbol+'</span>'+totalInterestPayable);

				totalAmountPayable = formatter.format(Math.round(totalAmountPayable));
				totalAmountPayable = totalAmountPayable.replace(currency_symbol, '');
				jQuery(".total_amount_payable").html('<span>'+currency_symbol+'</span>'+totalAmountPayable);
				
				return true;
				
			}
	
			function isNumeric(n) {
				if (!isNaN(n)) {
					return n;
				} else {
					return 0
				}
			}

			montlyEMIcalculator();

		});
		
	};

    //Elementor JS Hooks
    $(window).on('elementor/frontend/init', function () {

		elementorFrontend.hooks.addAction('frontend/element_ready/dt-emicalculator.default', dtEmiCalculatorWidgetHandler);

	});

})(jQuery);