<?php

use DTElementor\Widgets\DTElementorWidgetBase;
use Elementor\Controls_Manager;
use Elementor\Repeater;
use Elementor\Utils;
use Elementor\Scheme_Color;
use Elementor\Scheme_Typography;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Image_Size;


class Elementor_CustomImageSwitch extends DTElementorWidgetBase {

    public function get_name() {
        return 'dt-customimageswitch';
    }

    public function get_title() {
        return esc_html__('Custom Image Switch', 'dt-elementor');
    }

    public function get_icon() {
		return 'eicon-slider-push';
	}

	public function get_style_depends() {
		return array( 'dt.customiconswitch' );
	}
	
    protected function register_controls() {

        $this->start_controls_section( 'dt_section_general', array(
            'label' => esc_html__( 'General', 'dt-elementor'),
        ) );

 			$this->add_control(
				'default_image',
				[
					'label' => esc_html__( 'Choose Default Image', 'dt-elementor' ),
					'type' => Controls_Manager::MEDIA,
					'dynamic' => [
						'active' => true,
					],
					'default' => [
						'url' => Utils::get_placeholder_image_src(),
					],
				]
			);

		$this->end_controls_section();
		
    }

    protected function render() {
		
		$settings = $this->get_settings();
		extract($settings);

		$output = '<div class="dt-sc-customimageswitch-wrapper">';
			$output .= '<img id="dt-sc-customimageswitch" alt="'.esc_html__( 'Image Switch', 'dt-elementor' ).'" src="'.esc_url($default_image['url']).'">';
		$output .= '</div>';

		echo $output;

	}

    protected function _content_template() {
    }
}